<?php

/*======================================================================*\
|| #################################################################### ||
|| # JAKCMS PRO 2.2.5                                                 # ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2011 JAKCMS All Rights Reserved.                       # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- JAKCMS IS NOT FREE SOFTWARE ----------------    # ||
|| # http://www.jakcms.com | http://www.jakcms.com/license-agreement  # ||
|| #################################################################### ||
\*======================================================================*/

// Check if the file is accessed only via index.php if not stop the script from running
if(!defined('JAK_ADMIN_PREVENT_ACCESS')){
echo 'You cannot access this file directly.';
die;
}

// Check if the user has access to this file
if (!JAK_USERID_CMS || !$jakuser->jakModuleaccess(JAK_USERID_CMS,JAK_ACCESSADS)) {
    jak_redirect(BASE_URL);
    exit;
}

// All the tables we need for this plugin
$errors = array();
$jaktable = DB_PREFIX.'ads'.JAK_CMSADMINLANG;

// Now start with the plugin use a switch to access all pages
switch ($page1) {

	// Create new ads
	case 'newads':
		
		if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		    $defaults = $_POST;
		    
		    if (empty($defaults['jak_location'])) {
		        $errors['e1'] = $tl['error']['e27'];
		    }
		
		    if (empty($defaults['jak_title'])) {
		        $errors['e2'] = $tl['error']['e2'];
		    }
		    
		    if (!is_numeric($defaults['jak_maxview'])) {
		        $errors['e3'] = $tl['error']['e15'];
		    }
		    
		    if (count($errors) == 0) {
		    
		    if (!isset($defaults['jak_location'])) {
		    	$location = 0;
		    } else {
		    	$location = $defaults['jak_location'];
		    } 
		
		$sql = 'INSERT INTO '.$jaktable.' SET location = "'.$location.'", title = "'.smartsql($defaults['jak_title']).'", adshtml = "'.smartsql($defaults['jak_content']).'", turnoffviews = '.$defaults['jak_maxview'].', time = '.time().', active = 1';
		$result = $jakdb->query($sql);
		
		if (!$result) {
		    	jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		        exit;
			} else {
			    jak_redirect(BASE_URL.'index.php?p=success');
		        exit;
		    }
		 } else {
		    
		   	$errors['e'] = $tl['error']['e'];
		    $c_tpl->assign('errors', $errors);
		    }
		}
		
		// Call the template
		$template = 'newads';
		
	break;
	default:
	
		// Important template Stuff
		$getTotal = jak_get_total($jaktable,'','','');
		if ($getTotal != 0) {
		// Paginator
			$pages = new Paginator;
			$pages->items_total = $getTotal;
			$pages->mid_range = JAK_ADMINPAGEMID;
			$pages->items_per_page = JAK_ADMINPAGEITEM;
			$pages->jak_get_page = $page1;
			$pages->jak_where = 'index.php?p=ads';
			$pages->paginate();
			$c_tpl->assign('JAK_PAGINATE', $pages->display_pages());
			}
			
		$c_tpl->assign('JAK_ADS_ALL', jak_get_ads_info($pages->limit,''));
		
		// Let's go on with the script
		if ($_SERVER['REQUEST_METHOD'] == 'POST' && empty($page1)) {
		    $defaults = $_POST;
		    
		    if (isset($defaults['lock'])) {
		        
		        $lockads = $defaults['jak_delete_ads'];
		    
		            for ($i = 0; $i < count($lockads); $i++) {
		                $locked = $lockads[$i];
		                
		            	$sql = 'UPDATE '.$jaktable.' SET active = IF (active = 1, 0, 1) WHERE id = '.$locked.'';
		            	$result = $jakdb->query($sql);
		            }
		      
		     		if (!$result) {
		    		jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		            exit;
		    	} else {
		    		
		            jak_redirect(BASE_URL.'index.php?p=success');
		            exit;
		        }
		        
		        }
		    
		    if (isset($defaults['delete'])) {
		    
		    $delads = $defaults['jak_delete_ads'];
		
		        for ($i = 0; $i < count($delads); $i++) {
		            $jakdelads = $delads[$i];
		            			
					$sql = 'DELETE FROM '.$jaktable.' WHERE id = '.$jakdelads.'';
		        	$result = $jakdb->query($sql);
		            
		        }
		  
		 		if (!$result) {
				jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		        exit;
			} else {
		        jak_redirect(BASE_URL.'index.php?p=success');
		        exit;
		    }
		    
		    }
		
		 }
		 
		 switch ($page1) {
		  	case 'lock':
		 	        if (jak_row_exist($page2,$jaktable)) {
		 				
		 				$sql = 'UPDATE '.$jaktable.' SET active = IF (active = 1, 0, 1) WHERE id = '.smartsql($page2).'';
		 				$result = $jakdb->query($sql);
		 	
		 	if (!$result) {
		 	    	jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		 	        exit;
		 		} else {
		 	        jak_redirect(BASE_URL.'index.php?p=success');
		 	        exit;
		 	    }
		 	    
		 	} else {
		 	    
		 	   	jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		 	    exit;
		 	}
		 	        break;
		    case 'delete':
		        if (jak_row_exist($page2,$jaktable)) {
					
					$sql = 'DELETE FROM '.$jaktable.' WHERE id = '.smartsql($page2).'';
		        	$result = $jakdb->query($sql);
		
		if (!$result) {
		    	jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		        exit;
			} else {
		        jak_redirect(BASE_URL.'index.php?p=success');
		        exit;
		    }
		    
		} else {
		    
		   	jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		    exit;
		}
		        break;
		    case 'edit':
		
		if (jak_row_exist($page2,$jaktable)) {
			if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		    $defaults = $_POST;
		    
		    if (empty($defaults['jak_location'])) {
		        $errors['e1'] = $tl['error']['e27'];
		    }
		
		    if (empty($defaults['jak_title'])) {
		        $errors['e2'] = $tl['error']['e2'];
		    }
		    
		    if (!is_numeric($defaults['jak_maxview'])) {
		        $errors['e3'] = $tl['error']['e15'];
		    }
		    
		    if (count($errors) == 0) {
		    
		    if (!isset($defaults['jak_location'])) {
		    	$location = 0;
		    } else {
		    	$location = $defaults['jak_location'];
		    } 
		    
		    if (!empty($defaults['jak_hitsdelete'])) {
		    	$sqlh = ',hits = 0';
		    }
		
		$sql = 'UPDATE '.$jaktable.' SET location = "'.$location.'",title = "'.smartsql($defaults['jak_title']).'",adshtml = "'.smartsql($defaults['jak_content']).'",turnoffviews = '.$defaults['jak_maxview'].$sqlh.' WHERE id = '.smartsql($page2).'';
		$result = $jakdb->query($sql);
		
		if (!$result) {
		    	jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		        exit;
			} else {
		        jak_redirect(BASE_URL.'index.php?p=success');
		        exit;
		    }
			    
		 } else {
		    
		   	$errors['e'] = $tl['error']['e'];
		    $c_tpl->assign('errors', $errors);
		    }
		}
		
		$c_tpl->assign('JAK_FORM_DATA', jak_get_data($page2,$jaktable));
		$template = 'editads';
		
		} else {
		    
		   	jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		    exit;
		}
		break;
		default:
			// Call the template
			$template = 'ads';
		break;
		}
	break;
}
?>