--
-- Table structure for table `ads_xl`
--

CREATE TABLE IF NOT EXISTS `ads_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `adshtml` text,
  `location` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `turnoffviews` int(11) unsigned NOT NULL DEFAULT '0',
  `turnoffhits` int(11) unsigned NOT NULL DEFAULT '0',
  `views` int(11) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `location` (`location`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Table structure for table `blog_xl`
--

CREATE TABLE IF NOT EXISTS `blog_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '1',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` varchar(100) DEFAULT NULL,
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `blog_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `blogcategories_xl`
--

CREATE TABLE IF NOT EXISTS `blogcategories_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `blogcategories_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `blogcomments_xl`
--

CREATE TABLE IF NOT EXISTS `blogcomments_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `blogid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `blogid` (`blogid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `blogcomments_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `categories_xl`
--

CREATE TABLE IF NOT EXISTS `categories_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `showmenu` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showfooter` smallint(1) unsigned NOT NULL DEFAULT '0',
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `catparent2` int(11) unsigned NOT NULL DEFAULT '0',
  `subexist` smallint(1) unsigned NOT NULL DEFAULT '0',
  `subsubexist` smallint(1) unsigned NOT NULL DEFAULT '0',
  `pageid` int(11) unsigned NOT NULL DEFAULT '0',
  `permission` varchar(25) NOT NULL DEFAULT '0',
  `activeplugin` smallint(1) unsigned NOT NULL DEFAULT '1',
  `pluginid` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

--
-- Dumping data for table `categories_xl`
--

INSERT IGNORE INTO `categories_xl` (`id`, `name`, `varname`, `catimg`, `showmenu`, `showfooter`, `catorder`, `catparent`, `catparent2`, `subexist`, `subsubexist`, `pageid`, `permission`, `activeplugin`, `pluginid`) VALUES
(1, 'Startseite', 'startseite', NULL, 1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0),
(2, 'Blog', 'blog', NULL, 1, 1, 3, 0, 0, 0, 0, 0, 0, 1, 1),
(3, 'Forum', 'forum', NULL, 1, 1, 4, 0, 0, 0, 0, 0, 0, 1, 2),
(4, 'Galerie', 'galerie', NULL, 1, 1, 5, 0, 0, 0, 0, 0, 0, 1, 4),
(5, 'Video', 'video', NULL, 1, 1, 6, 0, 0, 0, 0, 0, 0, 1, 5),
(6, 'Event', 'event', NULL, 1, 1, 7, 0, 0, 0, 0, 0, 0, 1, 3),
(7, 'Tags', 'tag', NULL, 0, 0, 8, 0, 0, 0, 0, 0, 0, 1, 9),
(8, 'Inhaltsverzeichnis', 'inhaltsverzeichnis', NULL, 0, 1, 9, 0, 0, 0, 0, 0, 0, 1, 10),
(9, 'Benutzerliste', 'benutzerliste', NULL, 0, 1, 10, 0, 0, 0, 0, 0, 0, 1, 11),
(10, 'Registrieren', 'registrieren', NULL, 1, 0, 2, 0, 0, 0, 0, 2, 0, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `contactform_xl`
--

CREATE TABLE IF NOT EXISTS `contactform_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `thankyou` mediumtext,
  `email` varchar(255) DEFAULT NULL,
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `contactform_xl`
--

INSERT IGNORE INTO `contactform_xl` (`id`, `title`, `thankyou`, `email`, `active`, `time`) VALUES
(1, 'Standard Kontakt Formular', '<p>Vielen Dank wir haben ihre Nachricht erhalten.</p>', '', 1, 1294560927);

-- --------------------------------------------------------

--
-- Table structure for table `contactoptions_xl`
--

CREATE TABLE IF NOT EXISTS `contactoptions_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `formid` int(11) unsigned NOT NULL DEFAULT '0',
  `name` varchar(255) DEFAULT NULL,
  `typeid` smallint(2) unsigned NOT NULL DEFAULT '1',
  `options` mediumtext,
  `mandatory` smallint(1) NOT NULL DEFAULT '0',
  `forder` int(11) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `contactoptions_xl`
--

INSERT IGNORE INTO `contactoptions_xl` (`id`, `formid`, `name`, `typeid`, `options`, `mandatory`, `forder`) VALUES
(1, 1, 'Name', 1, NULL, 1, 1),
(2, 1, 'Email', 1, NULL, 3, 2),
(3, 1, 'Telefon', 1, NULL, 2, 3),
(4, 1, 'Nachricht', 2, NULL, 1, 4);

-- --------------------------------------------------------

--
-- Table structure for table `event_xl`
--

CREATE TABLE IF NOT EXISTS `event_xl` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `datefrom` int(10) unsigned NOT NULL DEFAULT '0',
  `dateto` int(10) unsigned NOT NULL DEFAULT '0',
  `colorpicker` varchar(7) DEFAULT NULL,
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `joinevent` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` varchar(100) DEFAULT NULL,
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `daterange` (`dateto`,`datefrom`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `event_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `eventcategories_xl`
--

CREATE TABLE IF NOT EXISTS `eventcategories_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `eventcategories_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `eventcomments_xl`
--

CREATE TABLE IF NOT EXISTS `eventcomments_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eventid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text NOT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `eventid` (`eventid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `eventcomments_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `eventjoin_xl`
--

CREATE TABLE IF NOT EXISTS `eventjoin_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eventid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `jointype` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `eventid` (`eventid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `eventjoin_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `forum_xl`
--

CREATE TABLE IF NOT EXISTS `forum_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `description` mediumtext,
  `forumimg` varchar(255) DEFAULT NULL,
  `lastuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `lastuser` varchar(100) DEFAULT NULL,
  `lastthreadid` int(11) unsigned NOT NULL DEFAULT '0',
  `lastthread` varchar(255) DEFAULT NULL,
  `lastthreadtime` int(10) unsigned NOT NULL DEFAULT '0',
  `totalthreads` int(11) unsigned NOT NULL DEFAULT '0',
  `totalposts` int(11) unsigned NOT NULL DEFAULT '0',
  `permission` mediumtext,
  `writeperm` mediumtext,
  `forumorder` int(11) unsigned NOT NULL,
  `forumparent` int(11) unsigned NOT NULL DEFAULT '0',
  `category` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `forumorder` (`forumorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forum_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumcategories_xl`
--

CREATE TABLE IF NOT EXISTS `forumcategories_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `writeperm` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumcategories_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumposts_xl`
--

CREATE TABLE IF NOT EXISTS `forumposts_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forumid` int(11) unsigned NOT NULL DEFAULT '0',
  `threadid` int(11) unsigned NOT NULL DEFAULT '0',
  `startthread` smallint(1) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  `content` mediumtext,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `forumid` (`forumid`),
  KEY `threadid` (`threadid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumposts_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumread_xl`
--

CREATE TABLE IF NOT EXISTS `forumread_xl` (
  `utid` int(11) unsigned DEFAULT NULL,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `threadid` int(11) unsigned NOT NULL DEFAULT '0',
  `readtime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  UNIQUE KEY `utid` (`utid`),
  KEY `userid` (`userid`),
  KEY `threadid` (`threadid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `forumread_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumthread_xl`
--

CREATE TABLE IF NOT EXISTS `forumthread_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forumid` int(11) unsigned NOT NULL DEFAULT '0',
  `sticky` smallint(1) unsigned NOT NULL DEFAULT '0',
  `locked` smallint(1) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `lastuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `lastuser` varchar(100) DEFAULT NULL,
  `lasttime` int(10) unsigned NOT NULL DEFAULT '0',
  `posts` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `forumid` (`forumid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumthread_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `gallery`
--

CREATE TABLE IF NOT EXISTS `gallery` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `paththumb` varchar(255) DEFAULT NULL,
  `pathbig` varchar(255) DEFAULT NULL,
  `original` varchar(255) DEFAULT NULL,
  `imagename` varchar(255) DEFAULT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `picorder` int(11) unsigned NOT NULL DEFAULT '1',
  `time` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `gallery`
--


-- --------------------------------------------------------

--
-- Table structure for table `gallerycategories_xl`
--

CREATE TABLE IF NOT EXISTS `gallerycategories_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `content` mediumtext,
  `catimg` varchar(255) DEFAULT NULL,
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `gallerycategories_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `gallerycomments_xl`
--

CREATE TABLE IF NOT EXISTS `gallerycomments_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photoid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text NOT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleryid` (`photoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `gallerycomments_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `hvm_xl`
--

CREATE TABLE IF NOT EXISTS `hvm_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `question` varchar(255) DEFAULT NULL,
  `answer` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `hvm_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `news_xl`
--

CREATE TABLE IF NOT EXISTS `news_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `newsorder` int(11) unsigned NOT NULL,
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` int(11) unsigned NOT NULL DEFAULT '0',
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `newsorder` (`newsorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `news_xl`
--

-- --------------------------------------------------------

--
-- Table structure for table `pages_xl`
--

CREATE TABLE `pages_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '1',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showregister` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showlogin` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` varchar(100) DEFAULT NULL,
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `newsshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `blogcat` varchar(100) DEFAULT NULL,
  `blogshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `eventcat` varchar(100) DEFAULT NULL,
  `eventshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `videocat` varchar(100) DEFAULT NULL,
  `videoshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `forums` varchar(100) DEFAULT NULL,
  `forumshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `pages_xl`
--

INSERT IGNORE INTO `pages_xl` (`id`, `catid`, `keywords`, `description`, `title`, `content`, `showtitle`, `active`, `showcontact`, `showregister`, `showlogin`, `showdate`, `gallerycat`, `photodisplay`, `hits`, `time`) VALUES
(1, 1, '', '', 'Startseite', '<p>Welcome to your JAKCMS, please edit this page and used it as your start page.</p>\r\n<p>Enjoy JAKCMS and welcome a board.</p>\r\n<p>Kind Regards</p>\r\n<p>JAKCMS</p>', 1, 1, 0, 0, 0, 1, 0, 0, 817, 1288092721),
(2, 7, '', '', 'Registrieren', '<p>This is the register page, because we have a register button on the right hand side, we should have a register page.</p>', 1, 1, 0, 1, 0, 1, 0, 0, 86, 1294592023);

-- --------------------------------------------------------

--
-- Table structure for table `pagesgrid_xl`
--

CREATE TABLE `pagesgrid_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pageid` int(11) unsigned NOT NULL DEFAULT '0',
  `pluginid` int(11) unsigned NOT NULL DEFAULT '0',
  `orderid` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `pageid` (`pageid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

INSERT INTO `pagesgrid_xl` (`id`, `pageid`, `pluginid`, `orderid`) VALUES
(1, 1, 9999, 1),
(2, 1, 9990, 2),
(3, 1, 9991, 3),
(4, 1, 9992, 4),
(5, 2, 9999, 1),
(6, 2, 9992, 2),
(7, 2, 9991, 3),
(8, 2, 9990, 4);

-- --------------------------------------------------------

--
-- Table structure for table `setting_xl`
--

CREATE TABLE IF NOT EXISTS `setting_xl` (
  `varname` varchar(100) NOT NULL DEFAULT '',
  `groupname` varchar(50) DEFAULT NULL,
  `value` mediumtext,
  `defaultvalue` mediumtext,
  `optioncode` mediumtext,
  `datatype` enum('free','number','boolean','bitfield','username','integer','posint') NOT NULL DEFAULT 'free',
  `product` varchar(25) DEFAULT '',
  PRIMARY KEY (`varname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `setting_xl`
--

INSERT IGNORE INTO `setting_xl` (`varname`, `groupname`, `value`, `defaultvalue`, `optioncode`, `datatype`, `product`) VALUES
('offlinemessage', 'general', 'Sorry, the site is unavailable at the moment while we are testing some functionality.', 'Sorry, the site is unavailable at the moment while we are testing some functionality.', 'textarea', 'free', 'jakcms'),
('title', 'general', 'JAKCMS PRO', 'JAKCMS PRO - Professional CMS', 'input', 'free', 'jakcms'),
('copyright', 'general', '', '2009 JAKCMS PRO', 'input', 'free', 'jakcms'),
('metadesc', 'general', 'Professional Content Management System', 'Professional Content Management System', 'textarea', 'free', 'jakcms'),
('metakey', 'general', 'jakcms,news,contact', 'jakcms,news,contact', 'textarea', 'free', 'jakcms'),
('welcomeuser', 'setting', 'Welcome to our community you can now login and discover all the features we offer.<br /><br />Your Account needs to be approved, this takes usually less then 24h.', 'Welcome to our community you can now login and discover all the features we offer', 'textarea', 'free', 'jakcmspro'),
('welcomepage', 'setting', '0', '0', 'select', 'integer', 'jakcmspro'),
('blogtitle', 'blog', 'My Blog on JAKCMS', 'My Blog on JAKCMS', 'input', 'free', 'jakcmspro'),
('blogdesc', 'blog', 'Describe your blog in a few words.', 'Describe your blog in a few words.', 'textarea', 'free', 'jakcmspro'),
('forumtitle', 'forum', 'Support Forum', 'My Forum on JAKCMS', 'input', 'free', 'jakcmspro'),
('forumdesc', 'forum', 'Describe your Forum in a few words.', 'Describe your Forum in a few words.', 'textarea', 'free', 'jakcmspro'),
('gallerytitle', 'gallery', 'My Gallery on JAKCMS', 'My Gallery on JAKCMS', 'input', 'free', 'jakcmspro'),
('gallerydesc', 'gallery', 'Describe your gallery in a few words.', 'Describe your gallery in a few words.', 'textarea', 'free', 'jakcmspro'),
('videotitle', 'video', 'My Videos on JAKCMS', 'My Videos on JAKCMS', 'input', 'free', 'jakcmspro'),
('videodesc', 'video', 'Describe your video in a few words.', 'Describe your video in a few words.', 'textarea', 'free', 'jakcmspro'),
('eventtitle', 'event', 'Event', 'Event on JAKCMS', 'input', 'free', 'jakcmspro'),
('eventdesc', 'event', 'Please check our events, you can comment or join an event!', 'Describe your event section in a few words.', 'textarea', 'free', 'jakcmspro');

-- --------------------------------------------------------

--
-- Table structure for table `tagcloud_xl`
--

CREATE TABLE IF NOT EXISTS `tagcloud_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(100) DEFAULT NULL,
  `count` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `tag` (`tag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tagcloud_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `tags_xl`
--

CREATE TABLE IF NOT EXISTS `tags_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(100) DEFAULT NULL,
  `itemid` int(11) unsigned NOT NULL DEFAULT '0',
  `pluginid` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `module` (`pluginid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tags_xl`
--

-- --------------------------------------------------------

--
-- Table structure for table `video_xl`
--

CREATE TABLE IF NOT EXISTS `video_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `videopath` varchar(255) DEFAULT NULL,
  `imgpath` varchar(255) DEFAULT NULL,
  `externpath` varchar(255) DEFAULT NULL,
  `externpathm` varchar(255) DEFAULT NULL,
  `videow` smallint(4) unsigned NOT NULL DEFAULT '525',
  `videoh` smallint(4) unsigned NOT NULL DEFAULT '295',
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '1',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `video_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `videocategories_xl`
--

CREATE TABLE IF NOT EXISTS `videocategories_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `videocategories_xl`
--


-- --------------------------------------------------------

--
-- Table structure for table `videocomments_xl`
--

CREATE TABLE IF NOT EXISTS `videocomments_xl` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `videoid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text NOT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleryid` (`videoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--- End of the install more language script ---