<?php

/*======================================================================*\
|| #################################################################### ||
|| # JAKCMS PRO 2.2.5                                                 # ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2011 JAKCMS All Rights Reserved.                       # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- JAKCMS IS NOT FREE SOFTWARE ----------------    # ||
|| # http://www.jakcms.com | http://www.jakcms.com/license-agreement  # ||
|| #################################################################### ||
\*======================================================================*/

// Check if the file is accessed only via index.php if not stop the script from running
if(!defined('JAK_ADMIN_PREVENT_ACCESS')){
echo 'You cannot access this file directly.';
die;
}

// Check if the user has access to this file
if (!JAK_USERID_CMS || !$jakuser->jakModuleaccess(JAK_USERID_CMS,JAK_ACCESSGENERAL)) {
    jak_redirect(BASE_URL);
    exit;
}
if (!JAK_ADMINACCESS) {
	jak_redirect(BASE_URL_ORIG);
	exit;
}

// All the tables we need for this plugin
$errors = array();
$jaktable = DB_PREFIX.'user';
$jakfield = 'username';

// Now start with the plugin use a switch to access all pages
switch ($page1) {

	// Create new user
	case 'newuser':
		
		if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		    $defaults = $_POST;
		
		    if (empty($defaults['jak_name'])) {
		        $errors['e1'] = $tl['error']['e7'];
		    }
		    
		    if ($defaults['jak_email'] == '' || !filter_var($defaults['jak_email'], FILTER_VALIDATE_EMAIL)) {
		        $errors['e2'] = $tl['error']['e3'];
		    }
		    
		    if (empty($defaults['jak_username'])) {
		        $errors['e3'] = $tl['error']['e8'];
		    }
		    
		    if (jak_field_not_exist(strtolower($defaults['jak_username']),$jaktable,$jakfield)) {
		        $errors['e4'] = $tl['error']['e9'];
		    }
		     
		    if ($defaults['jak_password'] != $defaults['jak_confirm_password']) {
		    	$errors['e5'] = $tl['error']['e10'];
		    } elseif (strlen($defaults['jak_password']) <= '5') {
		    	$errors['e6'] = $tl['error']['e11'];
		    } else {
		    	$updatepass = '1';
		    }
		    
		    if (count($errors) == 0) {
		    
		    if ($updatepass) {
		    	
		    	// The new password encrypt with hash_hmac
		    	$passcrypt = hash_hmac('sha256', $defaults['jak_password'], DB_PASS_HASH);
		    	
		    	$sqlupdatepass = ',password = "'.$passcrypt.'"';
		    }
		
		$sql = 'INSERT INTO '.$jaktable.' SET username = "'.strtolower(smartsql($defaults['jak_username'])).'",name = "'.smartsql($defaults['jak_name']).'",email = "'.smartsql($defaults['jak_email']).'",usergroupid= '.$defaults['jak_usergroup'].',access = '.$defaults['jak_access'].''.$sqlupdatepass.',time = '.time().'';
		$result = $jakdb->query($sql);
		
		if (!$result) {
		    	jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		        exit();
			} else {
				$sql1 = 'SELECT id FROM '.$jaktable.' WHERE username = "'.smartsql($defaults['jak_username']).'" LIMIT 1';
				$result1 = $jakdb->query($sql1);
				$row1 = $result1->fetch_assoc();
				
				$newuserpath = JAK_USERPATH.'/'.$row1['id'];
				
				if (!is_dir($newuserpath)) {
				                mkdir($newuserpath, 0777);
				                copy(JAK_USERPATH."/index.html", $newuserpath."/index.html");
				            }
		        jak_redirect(BASE_URL.'index.php?p=success');
		        exit();
		    }
		 } else {
		    
		   	$errors['e'] = $tl['error']['e'];
		    $c_tpl->assign('errors', $errors);
		    }
		}
		
		// Get the usergroups
		$c_tpl->assign('JAK_USERGROUP_ALL', jak_get_usergroup_all('usergroup'));
		
		// Call the template
		$template = 'newuser';
		
	break;
	default:
		 
		 switch ($page1) {
		 	case 'search':
		 	$defaults = $_POST;
		 	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		 	
		 		if (isset($defaults['search'])) {
		    
		    if ($defaults['jakSH'] == '' or $defaults['jakSH'] == $tl['search']['s']) {
		        $errors['e'] = $tl['search']['s1'];
		    }
		
		    if (strlen($defaults['jakSH']) < '1') {
		        $errors['e1'] = $tl['search']['s2'];
		    }
		
		    if (count($errors) > 0) {
		        $errors['e2'] = $tl['search']['s3'];
		        $c_tpl->assign('errors', $errors);
		    } else {
		        $secureIn = smartsql(secure($defaults['jakSH']));
		        $c_tpl->assign('SEARCH_WORD', $secureIn);
		        $c_tpl->assign('JAK_SEARCH', jak_admin_search($secureIn,$jaktable,'user'));
		    }
		    }
		 	
		 	if (isset($defaults['findmove'])) {
		 	
		 		if (!empty($defaults['jak_forumpost'])) {
		 			if (!is_numeric($defaults['jak_forumpost'])) {
		 		    $errors['e3'] = $tl['error']['e15'];
		 		}
		 		}
		 		if (!empty($defaults['jak_blogpost'])) {
		 		if (!is_numeric($defaults['jak_blogpost'])) {
		 		    $errors['e4'] = $tl['error']['e15'];
		 		}
		 		}
		 		if (!empty($defaults['jak_eventpost'])) {
		 		if (!is_numeric($defaults['jak_eventpost'])) {
		 		    $errors['e5'] = $tl['error']['e15'];
		 		}
		 		}
		 		if (!empty($defaults['jak_gallerypost'])) {
		 		if (!is_numeric($defaults['jak_gallerypost'])) {
		 		    $errors['e6'] = $tl['error']['e15'];
		 		}
		 		}
		 		
		 		if (empty($defaults['jak_forumpost']) && empty($defaults['jak_blogpost']) && empty($defaults['jak_eventpost']) && empty($defaults['jak_gallerypost'])) {
		 			$errors['e7'] = $tl['error']['e32'];
		 		}
		 		
		 		if (count($errors) == 0) {
		 	
		 		$fpost = smartsql($defaults['jak_forumpost']);
		 		$bpost = smartsql($defaults['jak_blogpost']);
		 		$epost = smartsql($defaults['jak_eventpost']);
		 		$gpost = smartsql($defaults['jak_gallerypost']);
		 		
		 		if (!empty($fpost)) {
		 			if ($fpost == -1) {
		 				$forumpost = 'forumpost = 0';
		 			} else {
		 				$forumpost = 'forumpost >= '.$fpost.'';
		 			}
		 		}
		 		
		 		if (!empty($bpost)) {
		 			if (!empty($fpost)) {
		 			$sqlor = ' && ';
		 			}
		 			if ($bpost == -1) {
		 				$blogpost = $sqlor.'blogpost = 0';
		 			} else {
		 				$blogpost = $sqlor.'blogpost >= '.$bpost.'';
		 			}
		 		}
		 		
		 		if (!empty($epost)) {
		 			if (!empty($fpost) || !empty($bpost)) {
		 			$sqlor = ' && ';
		 			}
		 			if ($epost == -1) {
		 				$eventpost = $sqlor.'eventpost = 0';
		 			} else {
		 				$eventpost = $sqlor.'eventpost >= '.$epost.'';
		 			}
		 		}
		 		
		 		if (!empty($gpost)) {
		 			if (!empty($fpost) || !empty($bpost) || !empty($epost)) {
		 			$sqlor = ' && ';
		 			}
		 			if ($gpost == -1) {
		 				$gallerypost = $sqlor.'gallerypost = 0';
		 			} else {
		 				$gallerypost = $sqlor.'gallerypost >= '.$gpost.'';
		 			}
		 		}
		 		
		 		$sqlwhere = $forumpost.$blogpost.$eventpost.$gallerypost;
		 		
		 		$sql = 'SELECT id, name, username, usergroupid, email, access FROM '.$jaktable.' WHERE '.$sqlwhere.'';
		 		$result = $jakdb->query($sql);
		 		while ($row = $result->fetch_assoc()) {
		 		        // collect each record into $jakdata
		 		        $jakdata[] = $row;
		 		    }
		 	    
		 	    if ($jakdata) {
		 	    	$c_tpl->assign('JAK_LIST_USER', $jakdata);
		 	    } else {
		 	    	$c_tpl->assign('JAK_LIST_USER_NONE', $tl['user']['u33']);
		 	    }
		 	    
		 	   } else {
		 	   	$c_tpl->assign('errors', $errors);
		 	   }
		 	   
		 	   // get the template
		 	   $template = 'moveuser';
		 	}
		    
		    }
		    
		    // Get all usergroup's
		    $c_tpl->assign('JAK_USERGROUP_ALL', jak_get_usergroup_all('usergroup'));
		    
		    // get the template
		    $template = 'searchuser';
		 		
		 	break;
		 	case 'lock':
		 		
		 		$sql = 'UPDATE '.$jaktable.' SET access = IF (access = 1, 0, 1) WHERE id = '.smartsql($page2).'';
		 	    	$result = $jakdb->query($sql);
		 	    	
		 	if (!$result) {
		 		jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		 	    exit;
		 	} else {
		 		
		 	    jak_redirect(BASE_URL.'index.php?p=success');
		 	    exit;
		 	}
		 		
		 break;
		 case 'delete':
		 
		 	// Check if user exists and can be deleted
		 	if (jak_user_exist_deletable($page2)) {
		        
					// Now check how many languages are installed and do the dirty work
					$sql = 'DELETE FROM '.$jaktable.' WHERE id = '.smartsql($page2).'';
					$result = $jakdb->query($sql);
					
					// Update Attachements to guest because the attach table only exist once
					$sql7 = 'UPDATE '.DB_PREFIX.'attach SET userid = 0 WHERE userid = '.$page2.'';
					$result7 = $jakdb->query($sql7);
					
					
					// Load the hooks with the php code for single delete
					$hookusrdel = $jakhooks->jakGethook("php_admin_user_delete");
					if ($hookusrdel)
					foreach($hookusrdel as $hud)
					{
						eval($tud);
					}
		
			if (!$result) {
		    	jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		        exit;
			} else {
				
		        jak_redirect(BASE_URL.'index.php?p=success');
		        exit;
		    }
		    
		} else {
		    
		   	jak_redirect(BASE_URL.'index.php?p=error&sp=user-no-delete');
		    exit;
		}
		
	break;
	case 'edit':
	
		// Check if the user exists
		if (jak_row_exist($page2,$jaktable)) {
		
			if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		    $defaults = $_POST;
		
		    if (empty($defaults['jak_name'])) {
		        $errors['e1'] = $tl['error']['e7'];
		    }
		    
		    if ($defaults['jak_email'] == '' || !filter_var($defaults['jak_email'], FILTER_VALIDATE_EMAIL)) {
		        $errors['e2'] = $tl['error']['e3'];
		    }
		    
		    if (empty($defaults['jak_username'])) {
		        $errors['e3'] = $tl['error']['e8'];
		    }
		    
		    if (jak_field_not_exist_id($defaults['jak_username'],$page2,$jaktable,$jakfield)) {
		        $errors['e4'] = $tl['error']['e9'];
		    }
		    
		    if (!empty($defaults['jak_password']) || !empty($defaults['jak_confirm_password'])) {    
		    if ($defaults['jak_password'] != $defaults['jak_confirm_password']) {
		    	$errors['e5'] = $tl['error']['e10'];
		    } elseif (strlen($defaults['jak_password']) <= '5') {
		    	$errors['e6'] = $tl['error']['e11'];
		    } else {
		    	$updatepass = '1';
		    }
		    }
		    
		    if (count($errors) == 0) {
		    
		    if (!isset($defaults['jak_access'])) {
		    	$jakaccess = '1';
		    } else {
		    	$jakaccess = $defaults['jak_access'];
		    }
		    
		    if ($updatepass) {
		    
		    	// The new password encrypt with hash_hmac
		    	$passcrypt = hash_hmac('sha256', $defaults['jak_password'], DB_PASS_HASH);
		    	
		    	$sqlupdatepass = ',password = "'.$passcrypt.'"';
		    }
		    
		    $cleanemail = filter_var($defaults['jak_email'], FILTER_SANITIZE_EMAIL);
		    $cleanurl = filter_var($defaults['jak_web'], FILTER_SANITIZE_URL);
		    
		
		$sql = 'UPDATE '.$jaktable.' SET username = "'.smartsql($defaults['jak_username']).'",name = "'.smartsql($defaults['jak_name']).'",email = "'.smartsql($defaults['jak_email']).'",message = "'.smartsql($defaults['jak_vmessage']).'",messageapprove = '.smartsql($defaults['jak_vmapprove']).',messageinform = "'.smartsql($defaults['jak_vminform']).'",usergroupid= '.$defaults['jak_usergroup'].',access = '.$jakaccess.''.$sqlupdatepass.' WHERE id = '.smartsql($page2).'';
		$result = $jakdb->query($sql);
		
		// Delete Avatar if yes
		if (!empty($defaults['jak_delete_avatar'])) {
		$avatarpi = JAK_AVATARPATH.'/index.html';
		$avatarpid =  str_replace("//","/",$avatarpi);
		$targetPath = JAK_AVATARPATH.'/'.$page2.'/';
		$removedouble =  str_replace("//","/",$targetPath);
		foreach(glob($removedouble.'*.*') as $jak_unlink){
		    unlink($jak_unlink);
		    copy($avatarpid, $targetPath . "/index.html");
		}
		$jakdb->query('UPDATE '.$jaktable.' SET picture = "/standard_s.png" WHERE id = '.smartsql($page2).'');
		}
		
		if (!$result) {
		    jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
		    exit;
		} else {
			// Now do all the dirty work if we changed the username, also check if we have more then one language installed
			if ($defaults['jak_username'] != $defaults['jak_username_old']) {
			
			// Update the attach table
			$jakdb->query('UPDATE '.DB_PREFIX.'attach SET username = "'.smartsql($defaults['jak_username']).'" WHERE userid = "'.smartsql($page2).'"');
			
			// Update the pm table
			$jakdb->query('UPDATE '.DB_PREFIX.'pmreceipt SET fromusername = "'.smartsql($defaults['jak_username']).'" WHERE fromuserid = "'.smartsql($page2).'"');
			
			// Update the pm table
			$jakdb->query('UPDATE '.DB_PREFIX.'pmreceipt SET tousername = "'.smartsql($defaults['jak_username']).'" WHERE touserid = "'.smartsql($page2).'"');
			
			// Update the usercomment table
			$jakdb->query('UPDATE '.DB_PREFIX.'usercomment SET fromusername = "'.smartsql($defaults['jak_username']).'" WHERE fromuserid = "'.smartsql($page2).'"');
			
			// Load the hooks with the php code for search
			$hookusrrename = $jakhooks->jakGethook("php_admin_user_rename");
			if ($hookusrrename)
			foreach($hookusrrename as $hur)
			{
				eval($hur);
			}
			
		}
		    jak_redirect(BASE_URL.'index.php?p=success');
		    exit;
		}
		
		// Output the errors
		} else {
		    
		   	$errors['e'] = $tl['error']['e'];
		    $c_tpl->assign('errors', $errors);
		}
		}
		
			$c_tpl->assign('JAK_FORM_DATA', jak_get_data($page2,$jaktable));
			// Get the usergroups
			$c_tpl->assign('JAK_USERGROUP_ALL', jak_get_usergroup_all('usergroup'));
			$template = 'edituser';
		
		} else {
		    
		   	jak_redirect(BASE_URL.'index.php?p=error&sp=not-exist');
		    exit;
		}
		
		break;
		default:
		
			if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['jak_delete_user'])) {
			    $defaults = $_POST;
			    
			    if (isset($defaults['move'])) {
			        
			        $jakmove = $defaults['jak_delete_user'];
			        $jakgrid = $defaults['jak_group'];
			        
			    
			            for ($i = 0; $i < count($jakmove); $i++) {
			                $move = $jakmove[$i];
			    			
			    			$sql3 = 'UPDATE '.$jaktable.' SET usergroupid = '.$jakgrid.' WHERE id = '.$move.'';
			    			$result3 = $jakdb->query($sql3);
			            }
			      
			     		if (!$result) {
			    		jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
			            exit;
			    	} else {
			    		
			            jak_redirect(BASE_URL.'index.php?p=success');
			            exit;
			        }
			        
			        }
			    
			    if (isset($defaults['lock'])) {
			    
			    $lockuser = $defaults['jak_delete_user'];
			    $useridarray = explode(',', JAK_SUPERADMIN);
			
			        for ($i = 0; $i < count($lockuser); $i++) {
			            $locked = $lockuser[$i];
			            
			            if (!in_array($locked, $useridarray)) {
			        	$sql = 'UPDATE '.$jaktable.' SET access = IF (access = 1, 0, 1) WHERE id = '.$locked.'';
			        	$result = $jakdb->query($sql);
						}
			        }
			  
			 		if (!$result) {
					jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
			        exit;
				} else {
					
			        jak_redirect(BASE_URL.'index.php?p=success');
			        exit;
			    }
			    
			    }
			    
			    if (isset($defaults['delete'])) {
			    
			    $lockuser = $defaults['jak_delete_user'];
			    $useridarray = explode(',', JAK_SUPERADMIN);
			
			        for ($i = 0; $i < count($lockuser); $i++) {
			            $locked = $lockuser[$i];
			            
			            if (!in_array($locked, $useridarray)) {
			            
			            
			        	$jakdb->query('DELETE FROM '.$jaktable.' WHERE id = '.$locked.'');
			        	
			        	// Update Attachements to guest
			        	$jakdb->query('UPDATE '.DB_PREFIX.'attach SET userid = 0 WHERE userid = '.$locked.'');
			        	
			        	
			        	// Load the hooks with the php code for search
			        	$hookusrmassdel = $jakhooks->jakGethook("php_admin_user_delete_mass");
			        	if ($hookusrmassdel)
			        	foreach($hookusrmassdel as $humd)
			        	{
			        		eval($humd);
			        	}
			        	
						}
						
						$result = 1;
			        }
			  
			 		if (!$result) {
					jak_redirect(BASE_URL.'index.php?p=error&sp=mysql');
			        exit;
				} else {
					
			        jak_redirect(BASE_URL.'index.php?p=success');
			        exit;
			    }
			    
			    }
			
			    
			 }
		
			// Important template stuff
			$getTotal = jak_get_total($jaktable,'','','');
			if ($getTotal != 0) {
			// Paginator
				$pages = new Paginator;
			$pages->items_total = $getTotal;
				$pages->mid_range = JAK_ADMINPAGEMID;
				$pages->items_per_page = JAK_ADMINPAGEITEM;
				$pages->jak_get_page = $page1;
				$pages->jak_where = 'index.php?p=user';
				$pages->paginate();
				$c_tpl->assign('JAK_PAGINATE', $pages->display_pages());
				}
			$c_tpl->assign('JAK_USER_ALL', jak_get_user_all('user',$pages->limit,''));
			$c_tpl->assign('JAK_USERGROUP_ALL', jak_get_usergroup_all('usergroup'));
			
			// Call the template
			$template = 'user';
		break;
		}
	break;
}
?>