<?php

/*======================================================================*\
|| #################################################################### ||
|| # JAKCMS PRO 2.2.5                                                 # ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2011 JAKCMS All Rights Reserved.                       # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- JAKCMS IS NOT FREE SOFTWARE ----------------    # ||
|| # http://www.jakcms.com | http://www.jakcms.com/license-agreement  # ||
|| #################################################################### ||
\*======================================================================*/

include_once 'class.rewrite.php';
include_once 'class.smileyparser.php';

class JAK_base
{
	private $data = array();
	private $usraccesspl = array();
	private $case;
	private $jakvar;
	private $jakvar1;
	protected $table = '', $itemid = '', $select = '', $where = '', $dseo = '';
	
	// This constructor can be used for all classes:
	
	public function __construct(array $options){
			
			foreach($options as $k=>$v){
				if(isset($this->$k)){
					$this->$k = $v;
				}
			}
	}
	
	public function jakCleanurl($jakvar)
	{
	
		$jakvar = strip_tags($jakvar);
		$jakvar = strtolower($jakvar);
		$crepl = array(' ','.','(',')',"'","?","!","/","*","+","&","%","=","$",":",",",";","<",">","ä","ö","ü","Ä","Ü","Ö","é","à","è","ô",'"','---','--','#');
		$cfin = array('-','','','','-','','','','','','','','','','','','','','','au','oe','ue','au','oe','ue','e','a','e','o','','-','-','');
		$jakvar = str_replace($crepl, $cfin, $jakvar);	
		return $jakvar;
	
	}
	
	public function jakunCleanurl($jakvar)
	{
	
		$jakvar = strip_tags($jakvar);
		$jakvar = strtolower($jakvar);
		$crepl = array("ä","ö","ü","Ä","Ü","Ö","é","à","è","ô");
		$cfin = array('au','oe','ue','au','oe','ue','e','a','e','o');
		$jakvar = str_replace($cfin, $crepl, $jakvar);	
		return $jakvar;
	
	}
	
	public function jakTimesince($jakvar)
	{
		// array of time period chunks
		    $chunks = array(
		        array(60 * 60 * 24 , JAK_DAY),
		        array(60 * 60 , JAK_HOUR),
		        array(60 , JAK_MINUTE),
		    );
		
		    $today = time(); /* Current unix time  */
		    $since = $today - $jakvar;
		
		// $j saves performing the count function each time around the loop
		for ($i = 0, $j = count($chunks); $i < $j; $i++) {
		
		    $seconds = $chunks[$i][0];
		    $name = $chunks[$i][1];
		
		    // finding the biggest chunk (if the chunk fits, break)
		    if (($count = floor($since / $seconds)) != 0) {
		        break;
		    }
		}
		
		$print = ($count == 1) ? '1 '.$name : "$count {$name}".JAK_MULTITIME;
		
		return $print . ' '.JAK_AGO;
	
	}
	
	public function jakGetallcategories()
	{
		global $jakdb;
		$sql = 'SELECT id, name, varname, catimg, showmenu, showfooter, catparent, catorder, catparent2, subexist, subsubexist, pageid, activeplugin, pluginid FROM '.DB_PREFIX.'categories'.JAK_CMSADMINLANG.' WHERE (pageid > 0 AND activeplugin = 1 AND ('.JAK_USERGROUPID.' IN(permission) OR permission = 0 OR '.JAK_USERGROUPID.' = 3)) OR (pageid = 0 AND pluginid >= 1 AND ('.JAK_USERGROUPID.' IN(permission) OR permission = 0 OR '.JAK_USERGROUPID.' = 3)) ORDER BY catorder ASC';
		$result = $jakdb->query($sql);
		while ($row = $result->fetch_assoc()) {
		
			$catexist = 0;
			$catexist2 = 0;
			$apache = 1;
			
			// Check if sub exist 
			if ($row['subexist']) {
					$catexist = 1;
				}
				// Check for subsubcat
				if ($row['subsubexist']) {
						$catexist2 = 1;
					}
				
				// for the none apache user
				if (!JAK_USE_APACHE) {
					$apache = 0;
				}
				
				if ($row['catorder'] == 1 && $row['catparent'] == 0 && !JAK_CMSADMINLANG) {
					$parseurl = '';
				} else if ($row['catorder'] == 1 && $row['catparent'] == 0 && JAK_CMSADMINLANG) {
					$parseurl = JAK_rewrite::jakParseurl('', '', '', '', '');
				} else if ($row['varname']) {
					$parseurl = JAK_rewrite::jakParseurl($row['varname'], '', '', '', '');
				} else {
					$parseurl = '';
				}
					
					$jakdata[] = array('id' => $row['id'], 'name' => $row['name'], 'varname' => $parseurl, 'pagename' => $row['varname'], 'showmenu' => $row['showmenu'], 'showfooter' => $row['showfooter'], 'catorder' => $row['catorder'], 'catimg' => $row['catimg'], 'catparent' => $row['catparent'], 'catexist' => $catexist, 'catparent2' => $row['catparent2'], 'catexist2' => $catexist2, 'activeplugin' => $row['activeplugin'], 'pluginid' => $row['pluginid'], 'pageid' => $row['pageid'], 'apache' => $apache);
		    }        
		return $jakdata;
		
	}
	
	public function jakGetcatmix($where, $where1, $table, $usergroup, $dseo)
	{
			
		global $jakdb;
		$sql = 'SELECT * FROM '.$table.' WHERE active = 1 ORDER BY catorder ASC';
		$result = $jakdb->query($sql);
		while ($row = $result->fetch_assoc()) {
		if (jak_get_access($usergroup,$row['permission']) || $row['permission'] == 0) {
		
			$seo = '';
			
			// There should be always a varname in categories and check if seo is valid
			if ($dseo) {
				$seow = $row['varname'];
			}
			
			$row['parseurl'] = JAK_rewrite::jakParseurl($where, 'c', $row['id'], $seow, '');
			
			if ($where1) {
				$row['parseurl1'] = JAK_rewrite::jakParseurl($where1, $where, $row['id'], '', '');
			}
			
			// collect each record into $jakdata
			$jakdata[] = $row;
		}
		}      
		      
		  return $jakdata;
	}
	
	public function jakCatdisplay($jakvar, $usraccesspl, $catarray)
	{
	
		$getc = $catarray;
		
		foreach($getc as $c)
		{
			if ($c['pluginid'] == 0 || in_array($c['pluginid'], $usraccesspl))
				$case[] = $c;
				
		}
		
		return $case;
	
	}
	
	public function jakCatpluginvar($id, $catarray)
	{
	
		$getc = $catarray;
		
		foreach($getc as $c)
		{
			if ($c['id'] == $id)
				$case = $c['pagename'];
				
		}
		
		return $case;
	
	}
	
	public function jakGetallcatlang($lang, $pluginid)
	{
		global $jakdb;
		$sql = 'SELECT varname FROM '.DB_PREFIX.'categories'.$lang.' WHERE activeplugin = 1 AND pageid = 0 AND pluginid = "'.smartsql($pluginid).'" LIMIT 1';
		$result = $jakdb->query($sql);
		$row = $result->fetch_assoc();
		    
		return $row['varname'];
		
	}
	
	public function jakUpdatehits($jakvar,$jakvar1)
	{
		
		global $jakdb;
		
		$sql = 'UPDATE '.$jakvar1.' SET hits = hits + 1 WHERE id = "'.smartsql($jakvar).'"';
		$result = $jakdb->query($sql);
	
	}
	
	public function jakAds($adid)
	{
	
		global $jakdb;
		$sql = 'SELECT id, adshtml, location FROM '.DB_PREFIX.'ads'.JAK_CMSADMINLANG.' WHERE location IN('.$adid.') AND active = 1 AND (hits <= turnoffviews OR turnoffviews = 0) ORDER BY RAND()';
		$result = $jakdb->query($sql);
		while ($row = $result->fetch_assoc()) {
		
		    // collect each record into $jakdata
			$jakdata[] = array('id' => $row['id'], 'location' => $row['location'], 'adshtml' => $row['adshtml']);
		}
		return $jakdata;
	
	}
	
	public function jakAdsfilter($id, $adsarray)
	{
	
		if ($adsarray) {
		
		foreach ($adsarray as $i) {
			
			$location = $i['location'];
			
			if ($location == $id) {
			
				$shuffleme[] = $i;
				
			}
		
		}
		
		if ($shuffleme) {
		
		// Slice the array down to one!
		if (is_array($shuffleme)) {
			$shuffleme = array_slice($shuffleme, 0, 1);
		}
		
		foreach ($shuffleme as $s) {
		
			$finalad = $s['adshtml'];
			JAK_base::jakUpdatehits($s['id'], DB_PREFIX.'ads'.JAK_CMSADMINLANG);
		}
		
		return $finalad;
		
		} else {
		
			return false;
		}
		
		} else {
			
			return false;
		}
	
	}
	
	public function jakGetphotos($limit, $catid, $usergroupid, $where)
	{
	
		if (is_numeric($catid)) {
			$sqlin = 't1.catid = "'.$catid.'" AND t2.active = 1';
		} else {
			$sqlin = 't1.catid IN('.$catid.') AND t2.active = 1';
		}
		
		global $jakdb;
		$sql = 'SELECT t1.id, t1.catid, t1.paththumb, t1.pathbig, t1.imagename, t1.hits, t1.time FROM '.DB_PREFIX.'gallery AS t1 LEFT JOIN '.DB_PREFIX.'gallerycategories'.JAK_CMSADMINLANG.' AS t2 ON t1.catid = t2.id WHERE '.$sqlin.' AND ('.$usergroupid.' IN(t2.permission) OR t2.permission = 0 OR '.$usergroupid.' = 3) ORDER BY picorder ASC '.$limit.'';
		$result = $jakdb->query($sql);
		while ($row = $result->fetch_assoc()) {
				
				$today = time(); /* Current unix time  */
				$since = $today - $row['time'];
				
				if ($since < 129600) {
					$getTime = JAK_Base::jakTimesince($row['time']);
				} else {
					$getTime = JAK_user::jakTimezone($row['time'],JAK_GALLERYDATEFORMAT,JAK_GALLERYTIMEFORMAT);
				}
				
				if (JAK_GALLERYURL) {
					$seow = JAK_base::jakCleanurl($row['imagename']);
				}
				
				$parseurl = JAK_rewrite::jakParseurl($where, 'p', $row['id'], $seow, '');
				
		        // collect each record into $jakdata
		        $jakdata[] = array('id' => $row['id'], 'imagename' => jak_secure_site($row['imagename']), 'paththumb' => $row['paththumb'], 'pathbig' => $row['pathbig'], 'hits' => $row['hits'], 'time' => $getTime, 'parseurl' => $parseurl);
		       }
		    
		return $jakdata;
	
	}
	
	public function jakSessiontimelimit()
	{
		
		// Start the session
		session_start();
		
		// Set new after 10 minutes
		$inactive = 600;
		
		// check to see if $_SESSION['timeout'] is set
		if(isset($_SESSION['timeout']) ) {
			$session_life = time() - $_SESSION['timeout'];
			
			if($session_life > $inactive) { 
				
				$loadnew = false;
				
				// Write the session timeout new, because the 10 minutes are over
				$_SESSION['timeout'] = time();
			} else {
				
				$loadnew = true;
			} 
		} else {
		
			// Write the session timeout new
			$_SESSION['timeout'] = time();
		
		}
		
		return $loadnew;
	}

}
?>