<?php

/*======================================================================*\
|| #################################################################### ||
|| # JAKCMS PRO 2.2.5                                                 # ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2011 JAKCMS All Rights Reserved.                       # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- JAKCMS IS NOT FREE SOFTWARE ----------------    # ||
|| # http://www.jakcms.com | http://www.jakcms.com/license-agreement  # ||
|| #################################################################### ||
\*======================================================================*/

class JAK_tags
{
	private $jakvar;
	private $jakvar1;
	protected $table = '', $varname = '', $seo = '', $plugin = '';
	
	// This constructor can be used for all classes:
	
	public function __construct(array $options){
			
			foreach($options as $k=>$v){
				if(isset($this->$k)){
					$this->$k = $v;
				}
			}
	}
	
	public function jakGettagcloud($varname)
	{
	
		// Default font sizes
		    $min_font_size = JAK_TAGMINFONT;
		    $max_font_size = JAK_TAGMAXFONT;
		
		    // Pull in tag data
		    global $jakdb;
		    $sql = 'SELECT * FROM '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' GROUP BY tag ORDER BY count DESC Limit '.JAK_TAGLIMIT.'';
		    $result = $jakdb->query($sql);
		    while($row = $result->fetch_assoc()) {
		    	$cloud[$row['tag']] = $row['count'];
		    }
		    
		    if ($cloud) {
		    	ksort($cloud);
		    	$tags = $cloud;
		    }
		    
		    if ($tags) {
		
		    	$minimum_count = min(array_values($tags));
		    	$maximum_count = max(array_values($tags));
		    	$spread = $maximum_count - $minimum_count;
		
		    	if($spread == 0) {
		        	$spread = 1;
		    	}
		
		    	$cloud_html = '';
		    	$cloud_tags = array(); // create an array to hold tag code
		    	foreach ($tags as $tag => $count) {
		        	$size = $min_font_size + ($count - $minimum_count) 
		            * ($max_font_size - $min_font_size) / $spread;
		            if (JAK_SITEHTTPS) {
		        		$cloud_tags[] = '<a style="font-size:'.floor($size).'px" class="tagcloud" href="'.SBASE_URL.JAK_rewrite::jakParseurl($varname, JAK_base::jakCleanurl($tag), '', '', '').'" title="'.$tag.'">'.htmlspecialchars(stripslashes($tag)).'</a>';
		        	} else {
		        		$cloud_tags[] = '<a style="font-size:'.floor($size).'px" class="tagcloud" href="'.BASE_URL.JAK_rewrite::jakParseurl($varname, JAK_base::jakCleanurl($tag), '', '', '').'" title="'.$tag.'">'.htmlspecialchars(stripslashes($tag)).'</a>';
		        	}
		    	}
		    	$cloud_html = join("\n", $cloud_tags) . "\n";
		    	return $cloud_html;
			}
	}
	
	public function jakGettaglist($jakvar,$jakvar1,$where)
	{
		
		global $jakdb;
		$sql = 'SELECT tag FROM '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' WHERE itemid = "'.smartsql($jakvar).'" AND pluginid = "'.smartsql($jakvar1).'" AND active = 1 ORDER BY id DESC';
		$result = $jakdb->query($sql);
			while($row = $result->fetch_assoc()) {
				if (JAK_SITEHTTPS) {
		    		$tags[] = '<a class="taglist" href="'.SBASE_URL.JAK_rewrite::jakParseurl($where, JAK_base::jakCleanurl($row['tag']), '', '', '').'">'.$row['tag'].'</a>';
		    	} else {
		    		$tags[] = '<a class="taglist" href="'.BASE_URL.JAK_rewrite::jakParseurl($where, JAK_base::jakCleanurl($row['tag']), '', '', '').'">'.$row['tag'].'</a>';
		    	}
		}
		if (!empty($tags)) {
		$taglist = join(", ", $tags);
		return $taglist;
		} else {
			return false;
		}
	}
	
	public function jakPlugintag($allcat)
	{
		
		foreach($allcat as $c)
		{
			if ($c['pluginid'] == 9)
				$case = $c['pagename'];
				
		}
		
		return $case;
	
	}
	
	public function jakInsertags($tags,$itemid,$module,$active)
	{
		
		$striptags = strip_tags($tags);
		$smalltags = strtolower($striptags);
		$tagarray = explode(' ', $smalltags);
			
		for ($i = 0; $i < count($tagarray); $i++) {
			$tag = $tagarray[$i];
			$tag = trim($tag);
			$urlTAG = JAK_base::jakCleanurl($tag);
				
			// check if tag exist
			global $jakdb;
			$jakdb->query('SELECT id FROM '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' WHERE tag = "'.smartsql($urlTAG).'" AND itemid = "'.smartsql($itemid).'" AND pluginid = "'.smartsql($module).'" LIMIT 1');
				
		    if ($jakdb->affected_rows != 1) {
		        
				// insert data
		        $jakdb->query('INSERT INTO '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' VALUES (NULL,"'.smartsql($urlTAG).'","'.smartsql($itemid).'","'.smartsql($module).'", "'.$active.'")');
			}
		}
	}
	
	public function jakBuildcloud($tags,$itemid,$module)
	{
	
		$striptags = strip_tags($tags);
		$smalltags = strtolower($striptags);
		$tagarray = explode(' ', $smalltags);
			
		for ($i = 0; $i < count($tagarray); $i++) {
			
			$tag = $tagarray[$i];
			$tag = trim($tag);
			$urlTAG = JAK_base::jakCleanurl($tag);
				
			// check if tag exist
			global $jakdb;
			$jakdb->query('SELECT id FROM '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' WHERE tag = "'.smartsql($urlTAG).'" AND itemid = "'.smartsql($itemid).'" AND pluginid = "'.smartsql($module).'" LIMIT 1');
			
			// If tag not exist
		    if ($jakdb->affected_rows != 1) {
		    
		        $sql = 'SELECT id FROM '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' WHERE tag = "'.smartsql($urlTAG).'" LIMIT 1';
		        $result = $jakdb->query($sql);
		        $tagID = $result->fetch_assoc();
		        
		        if ($jakdb->affected_rows > 0) {
		       		// update counter
		        	$jakdb->query('UPDATE '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' SET count = count + 1 WHERE id = "'.$tagID['id'].'"');
		
		        } else {
		        
		       	// insert complete tag
		        $jakdb->query('INSERT INTO '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' SET tag = "'.smartsql($urlTAG).'"');
				}
			}
		}
	}
	
	public function jakTagsql($table, $itemid, $select, $cuttext, $plugin, $link, $seo)
	{
	
		global $jakdb;
		$sql = 'SELECT '.$select.' FROM '.DB_PREFIX.$table.' WHERE id = "'.smartsql($itemid).'" LIMIT 1';
		$result = $jakdb->query($sql);
		$row = $result->fetch_assoc();
		if ($jakdb->affected_rows > 0) {
		if ($cuttext) {
			$row[$cuttext] = jak_cut_text($row[$cuttext],JAK_SHORTMSG,'...');
		}
		
		// There should be always a varname in categories and check if seo is valid
		if ($seo && $row['title']) {
			$seo = JAK_base::jakCleanurl($row['title']);
		}
		$row['parseurl'] = JAK_rewrite::jakParseurl($plugin, $link, $row['id'], $seo, '');
		
			$jakdata = $row;
		}
		
		return $jakdata;
	
	}
	
	public function jakLocktags($jakvar,$jakvar1)
	{
	
		global $jakdb;
		$sql = 'SELECT tag, active FROM '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' WHERE itemid = "'.smartsql($jakvar).'" AND pluginid = "'.smartsql($jakvar1).'"';
		$result = $jakdb->query($sql);
		while ($row = $result->fetch_assoc()) {
		    $sql1 = 'SELECT count FROM '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' WHERE tag = "'.$row['tag'].'" LIMIT 1';
		    $result1 = $jakdb->query($sql1);
		    $count = $result1->fetch_assoc();
		    
		if ($row['active'] == 1) {
		
		    if ($count['count'] <= '1') {
				$jakdb->query('DELETE FROM tagcloud'.JAK_CMSADMINLANG.' WHERE tag = "'.$row['tag'].'"');
		
			} else {
		
				$jakdb->query('UPDATE tagcloud'.JAK_CMSADMINLANG.' SET count = count - 1 WHERE tag = "'.$row['tag'].'"');
		
			}
		} else {
		
			if ($jakdb->affected_rows == 0) {
			
					$jakdb->query('INSERT INTO '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' SET tag = "'.$row['tag'].'"');
			
				} else {
			
					$jakdb->query('UPDATE tagcloud'.JAK_CMSADMINLANG.' SET count = count + 1 WHERE tag = "'.$row['tag'].'"');
			
				}
		}
		}
		        
		   $jakdb->query('UPDATE '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' SET active = IF (active = 1, 0, 1) WHERE itemid = "'.smartsql($jakvar).'" AND pluginid = "'.smartsql($jakvar1).'"');
		   
	}
	
	public function jakDeletetags($jakvar,$jakvar1)
	{
	
		global $jakdb;
			$sql = 'SELECT tag FROM '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' WHERE itemid = "'.smartsql($jakvar).'" AND pluginid = "'.smartsql($jakvar1).'"';
		    $result = $jakdb->query($sql);
		    while ($row = $result->fetch_assoc()) {
			    $sql1 = 'SELECT count FROM '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' WHERE tag = "'.$row['tag'].'" LIMIT 1';
			    $result1 = $jakdb->query($sql1);
			    $count = $result1->fetch_assoc();
		       
		    if ($count['count'] <= '1') {
				$jakdb->query('DELETE FROM tagcloud'.JAK_CMSADMINLANG.' WHERE tag = "'.$row['tag'].'"');
		
			} else {
		
				$jakdb->query('UPDATE tagcloud'.JAK_CMSADMINLANG.' SET count = count - 1 WHERE tag = "'.$row['tag'].'"');
		
			}
			}
		            
		       $jakdb->query('DELETE FROM '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' WHERE itemid = "'.smartsql($jakvar).'" AND pluginid = "'.smartsql($jakvar1).'"');
		   
	}
	
	public function jakDeleteonetag($tag)
	{
		
		global $jakdb;
		$sql = 'SELECT tag FROM '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' WHERE id = '.smartsql($tag).' LIMIT 1';
	    $result = $jakdb->query($sql);
	    $tagname = $result->fetch_assoc();
	       
	    $sql1 = 'SELECT count FROM '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' WHERE tag = "'.$tagname['tag'].'" LIMIT 1';
	    $result1 = $jakdb->query($sql1);
	    $count = $result1->fetch_assoc();
	       
	    if ($count['count'] <= '1') {
	    
			$jakdb->query('DELETE FROM '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' WHERE tag = "'.$tagname['tag'].'"');
	
		} else {
	
			$jakdb->query('UPDATE '.DB_PREFIX.'tagcloud'.JAK_CMSADMINLANG.' SET count = count - 1 WHERE tag = "'.$tagname['tag'].'"');
	
		}
	            
	    	$jakdb->query('DELETE FROM '.DB_PREFIX.'tags'.JAK_CMSADMINLANG.' WHERE id = '.smartsql($tag).'');
	}

}
?>