<?php

/*======================================================================*\
|| #################################################################### ||
|| # JAKCMS PRO 2.2.5                                                 # ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2011 JAKCMS All Rights Reserved.                       # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- JAKCMS IS NOT FREE SOFTWARE ----------------    # ||
|| # http://www.jakcms.com | http://www.jakcms.com/license-agreement  # ||
|| #################################################################### ||
\*======================================================================*/

// Error reporting:
error_reporting(E_ALL^E_NOTICE);

// The DB connections data
require_once 'db.php';

// Do not go any further if install folder still exists
if (is_dir('install')) {
	echo 'Please delete or rename install folder.';
	exit;
}

// Start the session
session_start();

// Absolute Path
define('APP_PATH', dirname(__file__) . DIRECTORY_SEPARATOR);

if (isset($_SERVER['SCRIPT_NAME'])) {

    # on Windows _APP_MAIN_DIR becomes \ and abs url would look something like HTTP_HOST\/restOfUrl, so \ should be trimed too
    # @modified Chis Florinel <chis.florinel@candoo.ro>
    $app_main_dir = rtrim(dirname($_SERVER['SCRIPT_NAME']), '/\\');
    define('_APP_MAIN_DIR', $app_main_dir);
} else {
    die('[config.php] Cannot determine APP_MAIN_DIR, please set manual and comment this line');
}

// BASE URL very important for the whole page
define('BASE_URL', 'http://' . FULL_SITE_DOMAIN . _APP_MAIN_DIR . '/');
    

// Get the jak DB class
if (JAK_MYSQL_CONNECTION == 1) {
	require_once 'class/class.db.php';
} else {
	require_once 'class/class.dbn.php';
}

// MySQLi connection
$jakdb = new jak_mysql(DB_HOST, DB_USER, DB_PASS, DB_NAME, DB_PORT);
$jakdb->set_charset("utf8");

// All important files
include_once 'include/functions.php';
include_once 'class/class.jakbase.php';
include_once 'class/class.postmail.php';
include_once 'class/class.userlogin.php';
include_once 'class/class.user.php';
include_once 'class/class.usergroup.php';
include_once 'class/class.plugins.php';
include_once 'class/class.hooks.php';
include_once 'class/class.paginator.php';
include_once 'class/class.tags.php';

// Now launch the rewrite class, depending on the settings in db.
$getURL = New JAK_rewrite($_SERVER['REQUEST_URI']);

// We are not using apache so take the ugly urls
$tempp = $getURL->jakGetseg(0);
$tempp1 = $getURL->jakGetseg(1);
$tempp2 = $getURL->jakGetseg(2);
$tempp3 = $getURL->jakGetseg(3);
$tempp4 = $getURL->jakGetseg(4);
$tempp5 = $getURL->jakGetseg(5);
$tempp6 = $getURL->jakGetseg(6);

// Get the general settings out the database
$sql = 'SELECT varname, value FROM '.DB_PREFIX.'setting';
$result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
            // collect each record into a define
            	define('JAK_'.strtoupper($row['varname']).'', $row['value']);
        }

// If we run more then one language
if (JAK_LANGTOTAL != 1) {
require_once ("include/langcontrol.php");
if (JAK_CMSADMINLANG) {
$sql = 'SELECT varname, value FROM '.DB_PREFIX.'setting'.JAK_CMSADMINLANG;
$result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
            // collect each record into a define
            	define('JAK_LANG_'.strtoupper($row['varname']).'', $row['value']);
        }
}
} else {
	define('JAK_CMSADMINLANG','');
	define('JAK_CMSLANG', JAK_LANG);
}

// ReWrite the BASE_URL if https is activated
if (JAK_SITEHTTPS) {
	define('SBASE_URL', 'https://' . FULL_SITE_DOMAIN . _APP_MAIN_DIR . '/');
}

// timezone from server
date_default_timezone_set(JAK_TIMEZONESERVER);

// Let's go caching
include_once 'class/class.cache.php';

jakcache::configure("tpl_dir", APP_PATH . 'template/'.JAK_SITESTYLE.'/');
jakcache::configure("cache_dir", APP_PATH . 'cache/');

//initialize a JAKCache TPL object
$c_tpl = new JAKCache;

// Set the last activity and session into cookies
setcookie('lastactivity', time(), time() + 60 * 60 * 24 * 10, JAK_COOKIE_PATH);
setcookie('usrsession', session_id(), time() + 60 * 60 * 24 * 10, JAK_COOKIE_PATH);

// Check if user is logged in
$jakuserlogin = new JAK_userlogin();
$jakuserrow = $jakuserlogin->jakCheckLogged();
$jakuser = new JAK_user($jakuserrow);
define(JAK_USERID_CMS, $jakuser->getVar("id"));

if (JAK_USERID_CMS)
{
	
	// Get the usergroupid out from this user
	$usergroupid = $jakuser->getVar("usergroupid");
	
	// Update last activity from this user
	$jakuserlogin->jakUpdatelastactivity(JAK_USERID_CMS);

} else {

	// Standard usergroup id for guests
	$usergroupid = 1;

}

// Let's call the usergroup class
$sql = 'SELECT * FROM '.DB_PREFIX.'usergroup WHERE id = "'.$usergroupid.'" LIMIT 1';
$result = $jakdb->query($sql);
$row = $result->fetch_assoc();

// Get the usergroup class
$jakusergroup = new JAK_usergroup($row);

// Check if https is activated
if (JAK_SITEHTTPS) {
	$c_tpl->assign('BASE_URL', SBASE_URL);
} else {
	$c_tpl->assign('BASE_URL', BASE_URL);
}
$c_tpl->assign('HTTP_REFERER', $_SERVER['HTTP_REFERER']);

// Define for template the real request
$realrequest = substr($getURL->jakRealrequest(), 1);
define('JAK_PARSE_REQUEST', $realrequest);
$c_tpl->assign('JAK_PARSE_REQUEST', JAK_PARSE_REQUEST);

// Load this only if language bigger then one
if (JAK_LANGTOTAL > 1) {

// Lang URL for the logo
if (JAK_CMSADMINLANG) {
	$c_tpl->assign('JAK_LANGLOGOURL', JAK_rewrite::jakParseurl('', '', '', '', ''));
}

// Do the rest for switching lang
$c_tpl->assign('JAK_LANGTYPE', JAK_LANG);
$c_tpl->assign('JAK_LANGTYPE1', JAK_LANG1);
$c_tpl->assign('JAK_LANGTYPE2', JAK_LANG2);
$c_tpl->assign('JAK_LANGTYPE3', JAK_LANG3);
$c_tpl->assign('JAK_LANGTYPE4', JAK_LANG4);
$c_tpl->assign('JAK_LANGTYPE5', JAK_LANG5);
define('JAK_PARSE_LANG', JAK_rewrite::jakParseurl('lang', JAK_LANGTYPE1, JAK_SWAP_MOD, '', ''));
define('JAK_PARSE_LANG1', JAK_rewrite::jakParseurl('lang', JAK_LANGTYPE1, JAK_SWAP_MOD, '', ''));
define('JAK_PARSE_LANG2', JAK_rewrite::jakParseurl('lang', JAK_LANGTYPE1, JAK_SWAP_MOD, '', ''));
define('JAK_PARSE_LANG3', JAK_rewrite::jakParseurl('lang', JAK_LANGTYPE1, JAK_SWAP_MOD, '', ''));
define('JAK_PARSE_LANG4', JAK_rewrite::jakParseurl('lang', JAK_LANGTYPE1, JAK_SWAP_MOD, '', ''));
define('JAK_PARSE_LANG5', JAK_rewrite::jakParseurl('lang', JAK_LANGTYPE1, JAK_SWAP_MOD, '', ''));
}
?>