<?php

/*======================================================================*\
|| #################################################################### ||
|| # JAKCMS PRO 2.2.5                                                 # ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2011 JAKCMS All Rights Reserved.                       # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- JAKCMS IS NOT FREE SOFTWARE ----------------    # ||
|| # http://www.jakcms.com | http://www.jakcms.com/license-agreement  # ||
|| #################################################################### ||
\*======================================================================*/

// Get event(s) out the database
function jak_get_event($jakvar,$jakvar1,$jakvar2,$jakvar3) 
{
	global $jakdb;
	if (is_numeric($jakvar1)) {
		$sqlin = 't1.catid = "'.$jakvar1.'" AND t1.active = 1 AND';
		$orderby = 't1.datefrom DESC ';
	} else if ($jakvar1 && !is_numeric($jakvar1)) {
		$sqlin = 't1.catid IN("'.$jakvar1.'") AND t1.active = 1 AND';
		$orderby = 't1.datefrom DESC ';
	} else {
		$sqlin = 't1.catid != 0 AND t1.dateto > '.time().' AND t1.active = 1 AND';
		$orderby = 't1.datefrom ASC ';
	}
	
	$sql = 'SELECT t1.id, t1.catid, t1.title, t1.content, t1.previmg, t1.keywords, t1.description, t1.datefrom, t1.dateto, t1.showcontact, t1.time, t1.comments, t1.hits, COUNT(t3.id) AS total, COUNT(t4.id) AS totaljoin FROM '.DB_PREFIX.'event'.JAK_CMSADMINLANG.' AS t1 LEFT JOIN '.DB_PREFIX.'eventcategories'.JAK_CMSADMINLANG.' AS t2 ON (t1.catid = t2.id) LEFT JOIN '.DB_PREFIX.'eventcomments'.JAK_CMSADMINLANG.' AS t3 ON (t1.id = t3.eventid AND t3.approve = 1) LEFT JOIN '.DB_PREFIX.'eventjoin'.JAK_CMSADMINLANG.' AS t4 ON (t1.id = t4.eventid AND t4.jointype = 3) WHERE '.$sqlin.' ('.$jakvar2.' IN(t2.permission) OR t2.permission = 0 OR '.$jakvar2.' = 3) GROUP BY t1.id ORDER BY '.$orderby.$jakvar.'';
    $result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
    		
    		$today = time(); /* Current unix time  */
    		$since = $today - $row['time'];
    		if ($since < 129600) {
    			$getTime = JAK_Base::jakTimesince($row['time']);
    		} else {
    			$getTime = JAK_user::jakTimezone($row['time'], JAK_EVENTDATEFORMAT, JAK_EVENTTIMEFORMAT);
    		}
    		
    		if (JAK_TAGS) {
    			// collect taglist
    			$taglist = JAK_tags::jakGettaglist($row['id'], JAK_PLUGIN_ID_EVENT, $jakvar3);
    		}
    		
    		// Write content in short format with full words
    		$shortmsg = jak_cut_text($row['content'], JAK_SHORTMSG, '...');
    		
    		// There should be always a varname in categories and check if seo is valid
    		if (JAK_EVENTURL) {
    			$seo = JAK_base::jakCleanurl($row['title']);
    		}
    		$parseurl = JAK_rewrite::jakParseurl(JAK_PLUGIN_VAR_EVENT, 'a', $row['id'], $seo, '');
    		
            // collect each record into $jakdata
            $jakdata[] = array('id' => $row['id'], 'catid' => $row['catid'], 'title' => jak_secure_site($row['title']), 'content' => jak_secure_site($row['content']), 'contentshort' => $shortmsg, 'previmg' => $row['previmg'], 'keywords' => jak_secure_site($row['keywords']), 'description' => jak_secure_site($row['description']), 'datefrom' => date(JAK_EVENTDATEFORMAT.JAK_EVENTTIMEFORMAT,$row['datefrom']), 'showcontact' => $row['showcontact'], 'dateto' => date(JAK_EVENTDATEFORMAT.JAK_EVENTTIMEFORMAT,$row['dateto']), 'created' => $getTime, 'comments' => $row['comments'], 'hits' => $row['hits'], 'totalcom' => $row['total'], 'totaljoin' => $row['totaljoin'], 'parseurl' => $parseurl, 'taglist' => $taglist);
           }
        
        
    return $jakdata;
}

// Get all comments out the database per table and id
function jak_event_joined($id, $table) 
{
	
	global $jakdb;
    $sql = 'SELECT userid, username, jointype, time FROM '.$table.' WHERE eventid = "'.$id.'" AND jointype = 3 ORDER BY time ASC';
    $result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
    		
    		$today = time(); /* Current unix time  */
    		$since = $today - $row['time'];
    		
    		if ($since < 129600) {
    			$getTime = JAK_Base::jakTimesince($row['time']);
    		} else {
    			$getTime = JAK_user::jakTimezone($row['time'],JAK_EVENTDATEFORMAT,'');
    		}
    		
    		$parseurl = JAK_rewrite::jakParseurl('p', strtolower($row['username']), '', '', '');
    		
            // collect each record into $jakdata
            $jakdata[] = array('userid' => $row['userid'], 'username' => jak_secure_site($row['username']), 'created' => $getTime, 'jointype' => $row['jointype'], 'parseurl' => $parseurl);
        }
        
    return $jakdata;
}

// Get the current events into the calendar
function jak_current_events($month, $year)
{
	
	$timestamp = $year.$month;
	
	$events = array();
	global $jakdb;
	$sql = 'SELECT id, title, datefrom, dateto, colorpicker FROM '.DB_PREFIX.'event'.JAK_CMSADMINLANG.' WHERE "'.smartsql($timestamp).'" BETWEEN FROM_UNIXTIME(datefrom, "%Y%m") AND FROM_UNIXTIME(dateto, "%Y%m") ORDER BY id DESC';
	$result = $jakdb->query($sql);
	while ($row = $result->fetch_assoc()) {
		
		$getDayF = date('d', $row['datefrom']);
		$getMonthF = date('m', $row['datefrom']);
		
		$getDayT = date('d', $row['dateto']);
		$getMonthT = date('m', $row['dateto']);
		
		$monthDiff = $row['dateto'] - $row['datefrom'];
		
		if ($month != $getMonthT && $month != $getMonthF) {
			
			$lastday = date('t', $row['datefrom']);
			$totalDays = ($monthDiff / 86400);
			$daynumbers = range(1, $lastday);
			
		} elseif ($month == $getMonthT && $month != $getMonthF) {
			
			$lastday = date('t', $row['datefrom']);
			$totalDays = ($monthDiff / 86400);
			$daynumbers = range(1, $getDayT);
			
		} elseif ($month != $getMonthT && $month == $getMonthF) {
			
			$lastday = date('t', $row['datefrom']);
			$totalDays = ($monthDiff / 86400);
			$daynumbers = range($getDayF, $lastday);
			
		} else {
				
			$lastday = '0';
			$totalDays = date('d', $monthDiff);
			$daynumbers = range($getDayF, $getDayT);
			
		}
		
		// There should be always a varname in categories and check if seo is valid
		if (JAK_EVENTURL) {
			$seo = JAK_base::jakCleanurl($row['title']);
		}
		$parseurl = JAK_rewrite::jakParseurl(JAK_PLUGIN_VAR_EVENT, 'a', $row['id'], $seo, '');
		
        $events[] = array('title' => $row['title'], 'dfrom' => date('d', $row['datefrom']), 'dto' => date('d', $row['dateto']), 'lastday' => $lastday, 'totaldays' => round($totalDays), 'colorp' => $row['colorpicker'], 'daysn' => $daynumbers, 'parseurl' => $parseurl);
    }
    return $events;
    
}

// Get total from a events limited to permission and time
function jak_get_total_events($table,$table1,$usergroup)
{
		global $jakdb;
		$sql = 'SELECT COUNT(t1.id) AS total FROM '.$table.' AS t1 LEFT JOIN '.$table1.' AS t2 ON (t1.catid = t2.id) WHERE t1.dateto > '.time().' AND ('.$usergroup.' IN(t2.permission) OR t1.catid = t2.id AND t2.permission = 0 OR t1.catid = t2.id AND '.$usergroup.' = 3)';
		$result = $jakdb->query($sql);
		$row = $result->fetch_assoc();
		
		if ($row['total']) {
		$jaktotal = $row['total'];
		}
		return $jaktotal;
}
?>