<?php

/*======================================================================*\
|| #################################################################### ||
|| # JAKCMS PRO 2.2.5                                                 # ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2011 JAKCMS All Rights Reserved.                       # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- JAKCMS IS NOT FREE SOFTWARE ----------------    # ||
|| # http://www.jakcms.com | http://www.jakcms.com/license-agreement  # ||
|| #################################################################### ||
\*======================================================================*/

// Define the no lang array once!
define(JAK_NO_LANG, ''.DB_PREFIX.'user,'.DB_PREFIX.'usergroup,'.DB_PREFIX.'ads,'.DB_PREFIX.'setting,'.DB_PREFIX.'search,'.DB_PREFIX.'onlineuser,'.DB_PREFIX.'newsletter,'.DB_PREFIX.'newsletteruser,'.DB_PREFIX.'newslettergroup,'.DB_PREFIX.'pm,'.DB_PREFIX.'pmreceipt,'.DB_PREFIX.'forumread,'.DB_PREFIX.'loginlog,'.DB_PREFIX.'gallery,'.DB_PREFIX.'usercomment,'.DB_PREFIX.'usertext');

// Redirect to something...
function jak_redirect($url)
{
    header('Location: '.$url);
}

// Input Fields get a secure input
function secure($input)
{
    $input = stripslashes($input);
    $input = htmlspecialchars($input);
    $input = str_replace("<script language=\"javascript\" type=\"text/javascript\">","", $input);
    $input = str_replace("<script type=\"text/javascript\">", "", $input);
    $input = str_replace("<script>", "", $input);
    $input = str_replace("<?php", "", $input);
    return $input;
}

function jak_secure_site($input)
{
    $input = stripslashes($input);
    $youtube = strpos($input, 'youtube.com');
    $vimeo = strpos($input, 'vimeo.com');
    
    // Check if there is a url in the text
    if ($youtube || $vimeo) {
    
    // The Regular Expression filter
	$reg_exUrl = '/(http\:\/\/www\.youtube\.com\/watch\?v=\w{11})/';
	$reg_exUrlv = '/(http\:\/\/(www\.vimeo|vimeo)\.com\/[0-9]{8})/';
    
    preg_match($reg_exUrl, $input, $url);
    
    $flurl = JAK_rewrite::jakVideourlparser($url[0], 'site');
    
    	// make the urls hyper links
    	$input = preg_replace($reg_exUrl, '<iframe class="usr_player" src="'.$flurl.'" frameborder="0"></iframe>', $input);
    	
   	preg_match($reg_exUrlv, $input, $vurl);
   	
   	$flurlv = JAK_rewrite::jakVideourlparser($vurl[0], 'site');
   	
   		// make the urls hyper links
   		$input = preg_replace($reg_exUrlv, '<iframe class="usr_player" src="'.$flurlv.'" frameborder="0"></iframe>', $input);
    
    }
    
    return $input;
}

function jak_convert_quote($jakvar) { 
        $search = array('/\[quote\=(.*?)\](.*?)\[\/quote\]/is'); 
        $replace = array('<fieldset><legend>$1</legend>$2</fieldset>'); 
        $jakdata = preg_replace($search, $replace, $jakvar); 
        return $jakdata; 
}

function jak_convert_fieldset($jakvar) {
		$search = array('/\<fieldset><legend>(.*?)\<\/legend>(.*?)\<\/fieldset>/is');
        $replace = array('[quote=$1]$2[/quote]'); 
        $jakdata = preg_replace($search, $replace, $jakvar); 
        return $jakdata; 
}

// Get a clean and secure post from user
function jak_clean_userpost($input)
{
	// check if there is any quote
	$input = jak_convert_quote($input);
	
	// Trim text
	$input = trim($input);
	
	// keep going and remove dirty code
	include 'jakuserpost.php';
	
	if (get_magic_quotes_gpc())
	  $input = stripslashes($input);
	  
	$allowedhtml = array('safe'=>1, 'elements'=>'em, p, br, img, ul, li, ol, a, strong, fieldset, legend, span', 'deny_attribute'=>'class, title, id, style, on*','comment'=>1, 'cdata'=>1, 'valid_xhtml'=>1, 'make_tag_strict'=>1);
	$allowedatr = 'a=title;span=-*, style(match="/#([0-9abcdef]+?){3,6}/i")';
	$input = htmLawed($input, $allowedhtml, $allowedatr);	
	
	// More dirty custom work and smiley parser
	$smileyparser = new JAK_smiley(); 
	$input = $smileyparser->parseSmileytext($input);
	
	// Now return the input
	if ($input) {	
    return $input;
    } else {
    return false;
    }
}

// Get a secure mysql input

function smartsql($value)
{
	global $jakdb;
	if (get_magic_quotes_gpc()) {
	$value = stripslashes($value);
	}
    if (!is_int($value)) {
        $value = $jakdb->real_escape_string($value);
    }
    return $value;
}

// Detect Mobile Browser in a simple way to display videos in html5 or video not available message
function jak_find_browser($jakvar,$jakvar1,$jakvar2)
{
	
	$useragent = $jakvar;
	$ifmobile = preg_match('/android|avantgo|blackberry|blazer|compal|elaine|fennec|hiptop|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile|o2|opera m(ob|in)i|palm( os)?|p(ixi|re)\/|plucker|pocket|psp|smartphone|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce; (iemobile|ppc)|xiino/i',$useragent);
	
	$ifmobileM = preg_match('/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|e\-|e\/|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(di|rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|xda(\-|2|g)|yas\-|your|zeto|zte\-/i',substr($useragent,0,4));
	
	if ($ifmobile || $ifmobileM || isset($jakvar1) || isset($jakvar2)) {
		return true;
	} else {
		return false;
	}
}

// Check if userid can have access to the forum, blog, gallery etc.
function jak_get_access($jakvar,$jakvar1)
{
$usergrouparray = explode(',', $jakvar1);
if (in_array($jakvar, $usergrouparray) || $jakvar == 3) {
return true;
}
}

// Get the setting variable as well the default variable as array
function jak_get_setting($jakvar) 
{
	global $jakdb;
    $sql = 'SELECT varname, value, defaultvalue FROM '.DB_PREFIX.'setting WHERE groupname = "'.smartsql($jakvar).'"';
    $result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
        $setting[] = array('varname' => $row['varname'], 'value' => secure($row['value']), 'defaultvalue' => $row['defaultvalue']);
    }
    return $setting;
}

// Get the setting variable as well the default variable as array
function jak_get_setting_lang($jakvar) 
{
	global $jakdb;
    $sql = 'SELECT varname, value, defaultvalue FROM '.DB_PREFIX.'setting'.JAK_CMSADMINLANG.' WHERE groupname = "'.$jakvar.'"';
    $result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
        $setting[] = array('varname' => $row['varname'], 'value' => secure($row['value']), 'defaultvalue' => $row['defaultvalue']);
    }
    return $setting;
}

// Get total from a table
function jak_get_total($jakvar,$jakvar1,$jakvar2,$jakvar3)
{
	if (empty($jakvar1)) {
		$sqlwhere = '';
	} elseif (!empty($jakvar3)) {
		$sqlwhere = ' WHERE '.$jakvar2.' = "'.smartsql($jakvar1).'" AND '.$jakvar3.' = 1';
	} else {
		$sqlwhere = ' WHERE '.$jakvar2.' = "'.smartsql($jakvar1).'"';
	}
		global $jakdb;
		$sql = 'SELECT COUNT(*) as totalAll FROM '.$jakvar.$sqlwhere.'';
		$result = $jakdb->query($sql);
		$row = $result->fetch_assoc();
		return $row['totalAll'];
}

// Get total from a table limited to permission
function jak_get_total_permission($jakvar,$jakvar1,$jakvar2)
{
		global $jakdb;
		$sql = 'SELECT COUNT('.$jakvar.'.id) AS total FROM '.$jakvar1.' LEFT JOIN '.$jakvar.' ON ('.$jakvar.'.catid = '.$jakvar1.'.id) WHERE '.$jakvar2.' IN('.$jakvar1.'.permission) OR '.$jakvar.'.catid = '.$jakvar1.'.id AND '.$jakvar1.'.permission = 0 OR '.$jakvar.'.catid = '.$jakvar1.'.id AND '.$jakvar2.' = 3';
		$result = $jakdb->query($sql);
		$row = $result->fetch_assoc();
		
		if ($row['total']) {
		$jaktotal = $row['total'];
		}
		return $jaktotal;
}

// Get the data only per ID (e.g. edit single user, edit category)
function jak_get_data($jakvar,$jakvar1) 
{
		
	global $jakdb;
    $sql = 'SELECT * FROM '.$jakvar1.' WHERE id = "'.smartsql($jakvar).'"';
    $result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
            // collect each record into $jakdata
            $jakdata = $row;
        }
    return $jakdata;
}

// Check if row exist with custom field
function jak_field_not_exist($jakvar,$jakvar1,$jakvar2)
{
		global $jakdb;
		$sql = 'SELECT id FROM '.$jakvar1.' WHERE LOWER('.$jakvar2.') = "'.smartsql($jakvar).'" LIMIT 1';
        $result = $jakdb->query($sql);
        if ($jakdb->affected_rows > 0) {
        return true;
}
}

// Get the data per array for page,newsletter with limit
function jak_get_hvm() 
{
	global $jakdb;
    $result = $jakdb->query('SELECT id, question, answer FROM '.DB_PREFIX.'hvm'.JAK_CMSADMINLANG.' ORDER BY RAND() LIMIT 1');
    
    while ($row = $result->fetch_assoc()) {
            // collect each record into $_data
            $jakdata[] = $row;
    }
    
    return $jakdata;
}

// Check valid spam
function jak_validate_spam($jakvar,$jakvar1)
{
	global $jakdb;
    $sql = 'SELECT id FROM '.DB_PREFIX.'hvm'.JAK_CMSADMINLANG.' WHERE id = "'.smartsql($jakvar1).'" AND answer = "'.smartsql($jakvar).'" LIMIT 1';
    $result = $jakdb->query($sql);
    if ($jakdb->affected_rows > 0) {
        return true;
    } else
        return false;
}

// Check if row exist
function jak_row_exist($jakvar,$jakvar1)
{
		global $jakdb;
		$sql = 'SELECT id FROM '.$jakvar1.' WHERE id = "'.smartsql($jakvar).'" LIMIT 1';
        $result = $jakdb->query($sql);
        if ($jakdb->affected_rows > 0) {
        return true;
}
}

// Check give access to delete or approve
function jak_give_right($jakvar,$jakvar1,$jakvar2,$jakvar3)
{
		global $jakdb;
		$jakdb->query('SELECT id FROM '.$jakvar2.' WHERE id = '.smartsql($jakvar).' AND '.$jakvar3.' = "'.smartsql($jakvar1).'"');
        if ($jakdb->affected_rows > 0) {
        return true;
}
}

// Check if row exist and user has permission to see it!
function jak_row_permission($jakvar,$jakvar1,$jakvar2)
{
		global $jakdb;
		$sql = 'SELECT permission FROM '.$jakvar1.' WHERE id = "'.smartsql($jakvar).'" LIMIT 1';
        $result = $jakdb->query($sql);
        if ($jakdb->affected_rows > 0) {
        $row = $result->fetch_assoc();
        if (jak_get_access($jakvar2,$row['permission']) || $row['permission'] == 0) {
        	return true;
        }
        } else {
        	return false;
        }
}

// Check if catid exist
function jak_get_id_name($jakvar,$jakvar1,$jakvar2,$jakvar3)
{
		$sqlwhere = '';
		$langarray = explode(',', JAK_NO_LANG);
		if (in_array($jakvar2, $langarray)) {
			$nolangprefix = '';
		} else {
			$nolangprefix = JAK_CMSADMINLANG;
		}
		
		if (!empty($jakvar3)) {
			$sqlwhere = ' AND activeplugin = 0';
		}
		
		global $jakdb;
		$sql = 'SELECT id FROM '.$jakvar2.$nolangprefix.' WHERE '.$jakvar1.' = "'.smartsql($jakvar).'"'.$sqlwhere.' LIMIT 1';
        $result = $jakdb->query($sql);
        if ($jakdb->affected_rows > 0) {
        $row = $result->fetch_assoc();
        return $row['id'];
	} else {
		return false;
}
}

// Get News out the database
function jak_get_news($jakvar, $jakvar1, $jakvar2, $lang) 
{
	if (!empty($jakvar)) {
		$whereid = ' WHERE active = 1 ORDER BY newsorder ASC ';
	} elseif (!empty($jakvar1)) {
		$whereid = ' WHERE id = "'.smartsql($jakvar).'" AND active = 1 LIMIT 1';
	} elseif (!empty($jakvar2)) {
		$whereid = ' WHERE active = 1 ORDER BY newsorder ASC LIMIT '.$jakvar2.'';
	} else {
		$whereid = ' WHERE active = 1 ORDER BY newsorder ASC LIMIT 1';
	}
	
	global $jakdb;
    $sql = 'SELECT * FROM '.DB_PREFIX.'news'.JAK_CMSADMINLANG.$whereid.$jakvar;
    $result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
    
    		// Write content in short format with full words
    		$shortmsg = jak_cut_text($row['content'],JAK_SHORTMSG,'...');
    		
    		// Parse url for user link and pm link
    		$parseurl = JAK_rewrite::jakParseurl($lang, 'a', $row['id'], JAK_base::jakCleanurl($row['title']), '');
    		
            // collect each record into $jakdata
            $jakdata[] = array('id' => $row['id'], 'title' => jak_secure_site($row['title']), 'content' => jak_secure_site($row['content']), 'keywords' => jak_secure_site($row['keywords']), 'description' => jak_secure_site($row['description']), 'showtitle' => $row['showtitle'], 'showcontact' => $row['showcontact'], 'showdate' => $row['showdate'], 'created' => JAK_user::jakTimezone($row['time'],JAK_DATEFORMAT,''),'titleurl' => JAK_base::jakCleanurl($row['title']),'hits' => $row['hits'],'previmg' => $row['previmg'],'contentshort' => $shortmsg, 'parseurl' => $parseurl);
        }
        
    return $jakdata;
}

// Get all comments out the database per table and id
function jak_get_comments_profile($userid,$table,$limit,$username) 
{

	global $jakdb;
	$sql = 'SELECT t1.id, t1.userid, t1.fromusername, t1.fromuserid, t1.message, t1.approve, t1.time, t2.picture, t2.localfile FROM '.$table.' AS t1 JOIN '.DB_PREFIX.'user AS t2 ON (t2.id = t1.fromuserid) WHERE t1.userid = "'.smartsql($userid).'" AND (t1.approve = 1 AND t1.trash = 0) OR (t1.approve = 0 AND t1.trash = 0 AND t1.session = "'.smartsql(session_id()).'") ORDER BY time ASC '.$limit.'';
    $result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
    		
    		$today = time(); /* Current unix time  */
    		$since = $today - $row['time'];
    		
    		if ($since < 129600) {
    			$getTime = JAK_Base::jakTimesince($row['time']);
    		} else {
    			$getTime = JAK_user::jakTimezone($row['time'],JAK_DATEFORMAT,JAK_TIMEFORMAT);
    		}
    		
    		// There should be always a varname in categories and check if seo is valid
    		$parseurl = JAK_rewrite::jakParseurl('p', strtolower($row['fromusername']), '', '', '');
    		$parseurl1 = JAK_rewrite::jakParseurl('p', $username, 'a', $row['id'], $row['userid']);
    		$parseurl2 = JAK_rewrite::jakParseurl('p', $username, 'd', $row['id'], $row['userid']);
    		$parseurl3 = JAK_rewrite::jakParseurl('p', $username, 'trash', $row['id'], $row['userid']);
    		
            // collect each record into $jakdata
            $jakdata[] = array('id' => $row['id'],'userid' => $row['userid'],'fromusername' => jak_secure_site($row['fromusername']),'fromuserid' => $row['fromuserid'],'message' => jak_secure_site($row['message']),'created' => $getTime,'picture' => $row['picture'],'approve' => $row['approve'],'localfile' => $row['localfile'], 'parseurl' => $parseurl, 'parseurl1' => $parseurl1, 'parseurl2' => $parseurl2, 'parseurl3' => $parseurl3);
        }
        
    return $jakdata;
}

function jak_next_page($page, $title, $table, $id, $jakvar4, $jakvar5, $approve)
{
	if (!empty($title)) {
		$second = ' ,'.$title;
	}
	if (!empty($jakvar4)) {
		$third = ' AND '.$jakvar4.' = "'.smartsql($jakvar5).'"';
	}
	if (!empty($approve)) {
		$fourth = ' AND '.$approve.' = 1';
	}
	global $jakdb;
	$sql = 'SELECT id'.$second.' FROM '.$table.' WHERE '.$id.' > '.smartsql($page).$third.$fourth.' ORDER BY id ASC LIMIT 1';
	$result = $jakdb->query($sql);
	if ($jakdb->affected_rows > 0) {
		$row = $result->fetch_assoc();
	    $jakdata = $row;
	    return $jakdata;
	} else
	    return false;
}

function jak_previous_page($page, $title, $table, $id, $jakvar4, $jakvar5, $approve)
{
	if (!empty($title)) {
		$second = ' ,'.$title;
	}
	if (!empty($jakvar4)) {
		$third = ' AND '.$jakvar4.' = "'.smartsql($jakvar5).'"';
	}
	if (!empty($approve)) {
		$fourth = ' AND '.$approve.' = 1';
	}
	global $jakdb;
	$sql = 'SELECT id'.$second.' FROM '.$table.' WHERE '.$id.' < '.smartsql($page).$third.$fourth.' ORDER BY id DESC LIMIT 1';
	$result = $jakdb->query($sql);
	if ($jakdb->affected_rows > 0) {
	    $row = $result->fetch_assoc();
	    $jakdata = $row;
	    return $jakdata;
	} else
	    return false;

}

// Get the members data per array
function jak_get_memberlist($limit, $userid, $lang, $lang1) 
{
	global $jakdb;
    $sql = 'SELECT id, username, name, picture, localfile, forumpost, blogpost, eventpost, gallerypost, videopost, time, lastactivity FROM '.DB_PREFIX.'user WHERE access = 1 AND usergroupid != 5 ORDER BY id ASC '.$limit.'';
    $result = $jakdb->query($sql);
    while ($row = $result->fetch_assoc()) {
    	if (!empty($row['lastactivity'])) {
    	
    	if ($row['lastactivity'] >= (time() - 1800)) {
    		$uiso = 1;
    	} else {
    		$uiso = 0;
    	}
    	
    	$today = time(); /* Current unix time  */
    	$since = $today - $row['lastactivity'];
    	
    	if ($since < 129600) {
    		$lastonline = JAK_Base::jakTimesince($row['lastactivity']);
    	} else {
    		$lastonline = JAK_user::jakTimezone($row['lastactivity'],JAK_DATEFORMAT,JAK_TIMEFORMAT);
    	} 
    	} else {
    		$lastonline = '-';
    	}
    	
    		// Parse url for user link and pm link
    		$parseurl = JAK_rewrite::jakParseurl('p', strtolower($row['username']), '', '', '');
    		$parseurl1 = JAK_rewrite::jakParseurl($lang, $userid, $lang1, strtolower($row['username']), '');
    	
    	
           	$jakdata[] = array('id' => $row['id'], 'username' => $row['username'], 'name' => $row['name'], 'picture' => $row['picture'], 'localfile' => $row['localfile'], 'forumpost' => $row['forumpost'], 'blogpost' => $row['blogpost'], 'eventpost' => $row['eventpost'], 'gallerypost' => $row['gallerypost'], 'videopost' => $row['videopost'], 'time' => date(JAK_DATEFORMAT.JAK_TIMEFORMAT,$row['time']), 'lastactivity' => $lastonline, 'uonstat' => $uiso, 'parseurl' => $parseurl, 'parseurl1' => $parseurl1);
        }
       return $jakdata;
}

// only full words
function jak_cut_text($jakvar,$jakvar1,$jakvar2) {
	if (empty($jakvar1)) {
		$jakvar1 = 160;
	}
    $jakvar = trim($jakvar);
    $jakvar = strip_tags($jakvar);
    $txtl = strlen($jakvar);
    if($txtl > $jakvar1) {
        for($i=1;$jakvar[$jakvar1-$i]!=" ";$i++) {
            if($i == $jakvar1) {
                return substr($jakvar,0,$jakvar1).$jakvar2;
            }
        }
        $jakdata = substr($jakvar,0,$jakvar1-$i+1).$jakvar2;
    } else {
    	$jakdata = $jakvar;
    }
    return $jakdata;
}
?>