--
-- Table structure for table `ads`
--

CREATE TABLE `ads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `adshtml` text,
  `location` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `turnoffviews` int(11) unsigned NOT NULL DEFAULT '0',
  `turnoffhits` int(11) unsigned NOT NULL DEFAULT '0',
  `views` int(11) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `location` (`location`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `ads`
--


-- --------------------------------------------------------

--
-- Table structure for table `attach`
--

CREATE TABLE `attach` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pathfile` varchar(255) DEFAULT NULL,
  `thumbnail` varchar(255) DEFAULT NULL,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `ip` char(15) NOT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `attach`
--


-- --------------------------------------------------------

--
-- Table structure for table `blog`
--

CREATE TABLE `blog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '1',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` varchar(100) DEFAULT NULL,
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `blog`
--


-- --------------------------------------------------------

--
-- Table structure for table `blogcategories`
--

CREATE TABLE `blogcategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `blogcategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `blogcomments`
--

CREATE TABLE `blogcomments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `blogid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `blogid` (`blogid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `blogcomments`
--


-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE `categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `showmenu` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showfooter` smallint(1) unsigned NOT NULL DEFAULT '0',
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `catparent2` int(11) unsigned NOT NULL DEFAULT '0',
  `subexist` smallint(1) unsigned NOT NULL DEFAULT '0',
  `subsubexist` smallint(1) unsigned NOT NULL DEFAULT '0',
  `pageid` int(11) unsigned NOT NULL DEFAULT '0',
  `permission` varchar(25) NOT NULL DEFAULT '0',
  `activeplugin` smallint(1) unsigned NOT NULL DEFAULT '1',
  `pluginid` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` VALUES(1, 'Home', 'home', NULL, 1, 0, 1, 0, 0, 0, 0, 1, '0', 1, 0);
INSERT INTO `categories` VALUES(2, 'Blog', 'blog', NULL, 1, 1, 3, 0, 0, 0, 0, 0, '0', 1, 1);
INSERT INTO `categories` VALUES(3, 'Forum', 'forum', NULL, 1, 1, 4, 0, 0, 0, 0, 0, '0', 1, 2);
INSERT INTO `categories` VALUES(4, 'Gallery', 'gallery', NULL, 1, 5, 4, 0, 0, 0, 0, 0, '0', 1, 4);
INSERT INTO `categories` VALUES(5, 'Video', 'video', NULL, 1, 1, 6, 0, 0, 0, 0, 0, '0', 1, 5);
INSERT INTO `categories` VALUES(6, 'Event', 'event', NULL, 1, 1, 7, 0, 0, 0, 0, 0, '0', 1, 3);
INSERT INTO `categories` VALUES(7, 'Tags', 'tag', NULL, 0, 0, 8, 0, 0, 0, 0, 0, '0', 1, 9);
INSERT INTO `categories` VALUES(8, 'Sitemap', 'sitemap', NULL, 0, 1, 9, 0, 0, 0, 0, 0, '0', 1, 10);
INSERT INTO `categories` VALUES(9, 'Memberlist', 'memberlist', NULL, 0, 1, 10, 0, 0, 0, 0, 0, '0', 1, 11);
INSERT INTO `categories` VALUES(10, 'Register', 'register', NULL, 1, 0, 2, 0, 0, 0, 0, 2, '0', 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `contactform`
--

CREATE TABLE `contactform` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `thankyou` mediumtext,
  `email` varchar(255) DEFAULT NULL,
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `contactform`
--

INSERT INTO `contactform` VALUES(1, 'Standard Contact Form', '<p>Thank you very much, you enquiry has been sent. We will return to you as soon as possible.</p>', '', 1, 1294560927);

-- --------------------------------------------------------

--
-- Table structure for table `contactoptions`
--

CREATE TABLE `contactoptions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `formid` int(11) unsigned NOT NULL DEFAULT '0',
  `name` varchar(255) DEFAULT NULL,
  `typeid` smallint(2) unsigned NOT NULL DEFAULT '1',
  `options` mediumtext,
  `mandatory` smallint(1) NOT NULL DEFAULT '0',
  `forder` int(11) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `contactoptions`
--

INSERT INTO `contactoptions` VALUES(1, 1, 'Name', 1, NULL, 1, 1);
INSERT INTO `contactoptions` VALUES(2, 1, 'Email', 1, NULL, 3, 2);
INSERT INTO `contactoptions` VALUES(3, 1, 'Phone', 1, NULL, 2, 3);
INSERT INTO `contactoptions` VALUES(4, 1, 'Message', 2, NULL, 1, 4);

-- --------------------------------------------------------

--
-- Table structure for table `event`
--

CREATE TABLE `event` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `datefrom` int(10) unsigned NOT NULL DEFAULT '0',
  `dateto` int(10) unsigned NOT NULL DEFAULT '0',
  `colorpicker` varchar(7) DEFAULT NULL,
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `joinevent` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` varchar(100) DEFAULT NULL,
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `daterange` (`dateto`,`datefrom`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `event`
--


-- --------------------------------------------------------

--
-- Table structure for table `eventcategories`
--

CREATE TABLE `eventcategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `eventcategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `eventcomments`
--

CREATE TABLE `eventcomments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eventid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text NOT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `eventid` (`eventid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `eventcomments`
--


-- --------------------------------------------------------

--
-- Table structure for table `eventjoin`
--

CREATE TABLE `eventjoin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eventid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `jointype` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `eventid` (`eventid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `eventjoin`
--


-- --------------------------------------------------------

--
-- Table structure for table `forum`
--

CREATE TABLE `forum` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `description` mediumtext,
  `forumimg` varchar(255) DEFAULT NULL,
  `lastuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `lastuser` varchar(100) DEFAULT NULL,
  `lastthreadid` int(11) unsigned NOT NULL DEFAULT '0',
  `lastthread` varchar(255) DEFAULT NULL,
  `lastthreadtime` int(10) unsigned NOT NULL DEFAULT '0',
  `totalthreads` int(11) unsigned NOT NULL DEFAULT '0',
  `totalposts` int(11) unsigned NOT NULL DEFAULT '0',
  `permission` mediumtext,
  `writeperm` mediumtext,
  `forumorder` int(11) unsigned NOT NULL,
  `forumparent` int(11) unsigned NOT NULL DEFAULT '0',
  `category` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `forumorder` (`forumorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forum`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumcategories`
--

CREATE TABLE `forumcategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `writeperm` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumcategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumposthash`
--

CREATE TABLE `forumposthash` (
  `userid` int(10) unsigned NOT NULL DEFAULT '0',
  `forumid` int(10) unsigned NOT NULL DEFAULT '0',
  `threadid` int(10) unsigned NOT NULL DEFAULT '0',
  `dupehash` char(32) NOT NULL DEFAULT '',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  KEY `userid` (`userid`,`dupehash`),
  KEY `dateline` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `forumposthash`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumposts`
--

CREATE TABLE `forumposts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forumid` int(11) unsigned NOT NULL DEFAULT '0',
  `threadid` int(11) unsigned NOT NULL DEFAULT '0',
  `startthread` smallint(1) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  `content` mediumtext,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `forumid` (`forumid`),
  KEY `threadid` (`threadid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumposts`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumread`
--

CREATE TABLE `forumread` (
  `utid` int(11) unsigned DEFAULT NULL,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `threadid` int(11) unsigned NOT NULL DEFAULT '0',
  `readtime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  UNIQUE KEY `utid` (`utid`),
  KEY `userid` (`userid`),
  KEY `threadid` (`threadid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `forumread`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumthread`
--

CREATE TABLE `forumthread` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forumid` int(11) unsigned NOT NULL DEFAULT '0',
  `sticky` smallint(1) unsigned NOT NULL DEFAULT '0',
  `locked` smallint(1) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `lastuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `lastuser` varchar(100) DEFAULT NULL,
  `lasttime` int(10) unsigned NOT NULL DEFAULT '0',
  `posts` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `forumid` (`forumid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumthread`
--


-- --------------------------------------------------------

--
-- Table structure for table `gallery`
--

CREATE TABLE `gallery` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `paththumb` varchar(255) DEFAULT NULL,
  `pathbig` varchar(255) DEFAULT NULL,
  `original` varchar(255) DEFAULT NULL,
  `imagename` varchar(255) DEFAULT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `picorder` int(11) unsigned NOT NULL DEFAULT '1',
  `time` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `gallery`
--


-- --------------------------------------------------------

--
-- Table structure for table `gallerycategories`
--

CREATE TABLE `gallerycategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `content` mediumtext,
  `catimg` varchar(255) DEFAULT NULL,
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `gallerycategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `gallerycomments`
--

CREATE TABLE `gallerycomments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photoid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text NOT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleryid` (`photoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `gallerycomments`
--


-- --------------------------------------------------------

--
-- Table structure for table `hvm`
--

CREATE TABLE `hvm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `question` varchar(255) DEFAULT NULL,
  `answer` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `hvm`
--


-- --------------------------------------------------------

--
-- Table structure for table `loginlog`
--

CREATE TABLE `loginlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `fromwhere` varchar(255) DEFAULT NULL,
  `ip` char(15) NOT NULL,
  `usragent` varchar(255) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `access` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `loginlog`
--

INSERT INTO `loginlog` VALUES(1, 'Jerome', '/test/admin/', '::1', 'Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_6_7; en-us) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1', 1309273797, 1);

-- --------------------------------------------------------

--
-- Table structure for table `news`
--

CREATE TABLE `news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `newsorder` int(11) unsigned NOT NULL,
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` int(11) unsigned NOT NULL DEFAULT '0',
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `newsorder` (`newsorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `news`
--


-- --------------------------------------------------------

--
-- Table structure for table `newsletter`
--

CREATE TABLE `newsletter` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `sent` smallint(1) NOT NULL DEFAULT '0',
  `senttime` int(10) unsigned NOT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `newsletter`
--


-- --------------------------------------------------------

--
-- Table structure for table `newslettergroup`
--

CREATE TABLE `newslettergroup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `newslettergroup`
--

INSERT INTO `newslettergroup` VALUES(1, 'Standard', 'Standard Usergroup for Newsletter', 0);

-- --------------------------------------------------------

--
-- Table structure for table `newsletteruser`
--

CREATE TABLE `newsletteruser` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usergroupid` int(11) unsigned NOT NULL DEFAULT '1',
  `email` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `delcode` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `groupid` (`usergroupid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `newsletteruser`
--


-- --------------------------------------------------------

--
-- Table structure for table `onlineuser`
--

CREATE TABLE `onlineuser` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ip` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `dt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ip` (`ip`),
  KEY `username` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `onlineuser`
--


-- --------------------------------------------------------

--
-- Table structure for table `pages`
--

CREATE TABLE `pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '1',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showregister` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showlogin` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` varchar(100) DEFAULT NULL,
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `newsshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `blogcat` varchar(100) DEFAULT NULL,
  `blogshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `eventcat` varchar(100) DEFAULT NULL,
  `eventshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `videocat` varchar(100) DEFAULT NULL,
  `videoshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `forums` varchar(100) DEFAULT NULL,
  `forumshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `pages`
--

INSERT INTO `pages` VALUES(1, 1, '', '', 'Home', '<p>Welcome to your JAKCMS, please edit this page and used it as your start page.</p>\r\n<p>Enjoy JAKCMS and welcome a board.</p>\r\n<p>Kind Regards</p>\r\n<p>JAKCMS</p>', 1, 1, 0, 0, 0, 1, '0', 0, 0, NULL, 0, NULL, 0, NULL, 0, NULL, 0, 1, 1288092721);
INSERT INTO `pages` VALUES(2, 10, '', '', 'Register', '<p>This is the register page, because we have a register button on the right hand side, we should have a register page.</p>', 1, 1, 0, 1, 0, 1, '0', 0, 0, NULL, 0, NULL, 0, NULL, 0, NULL, 0, 1, 1294592023);

-- --------------------------------------------------------

--
-- Table structure for table `pagesgrid`
--

CREATE TABLE `pagesgrid` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pageid` int(11) unsigned NOT NULL DEFAULT '0',
  `pluginid` int(11) unsigned NOT NULL DEFAULT '0',
  `orderid` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `pageid` (`pageid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- Dumping data for table `pagesgrid`
--

INSERT INTO `pagesgrid` VALUES(1, 1, 9999, 1);
INSERT INTO `pagesgrid` VALUES(2, 1, 9990, 2);
INSERT INTO `pagesgrid` VALUES(3, 1, 9991, 3);
INSERT INTO `pagesgrid` VALUES(4, 1, 9992, 4);
INSERT INTO `pagesgrid` VALUES(5, 2, 9999, 1);
INSERT INTO `pagesgrid` VALUES(6, 2, 9992, 2);
INSERT INTO `pagesgrid` VALUES(7, 2, 9991, 3);
INSERT INTO `pagesgrid` VALUES(8, 2, 9990, 4);

-- --------------------------------------------------------

--
-- Table structure for table `pluginhooks`
--

CREATE TABLE `pluginhooks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hook_name` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `phpcode` text,
  `product` varchar(25) DEFAULT NULL,
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `exorder` smallint(5) unsigned NOT NULL DEFAULT '4',
  `pluginid` int(11) unsigned NOT NULL,
  `time` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=28 ;

--
-- Dumping data for table `pluginhooks`
--

INSERT INTO `pluginhooks` VALUES(1, 'tpl_sidebar', 'Blog Categories Sidebar', 'blogsidebar', 'jakcmspro', 1, 3, 1, 1294229516);
INSERT INTO `pluginhooks` VALUES(2, 'tpl_sidebar', 'Forum New Post', 'forumsidebar', 'jakcmspro', 1, 5, 2, 1294226238);
INSERT INTO `pluginhooks` VALUES(3, 'tpl_sidebar', 'Event Categories', 'eventsidebar', 'jakcmspro', 1, 4, 3, 1294237940);
INSERT INTO `pluginhooks` VALUES(4, 'tpl_sidebar', 'Gallery Categories', 'gallerysidebar', 'jakcmspro', 1, 6, 4, 1294226197);
INSERT INTO `pluginhooks` VALUES(5, 'tpl_sidebar', 'Video Categories', 'videosidebar', 'jakcmspro', 1, 4, 5, 1294226173);
INSERT INTO `pluginhooks` VALUES(6, 'tpl_sidebar', 'Calendar Event', 'calsidebar', 'jakcmspro', 1, 7, 3, 1294226124);
INSERT INTO `pluginhooks` VALUES(7, 'tpl_sidebar', 'Newsletter Sign Up', 'nlsidebar', 'jakcmspro', 1, 8, 7, 1294226071);
INSERT INTO `pluginhooks` VALUES(8, 'tpl_sidebar', 'Ads Display', 'adssidebar', 'jakcmspro', 1, 9, 6, 1294226036);
INSERT INTO `pluginhooks` VALUES(9, 'tpl_sidebar', 'Tags', 'tagsidebar', 'jakcmspro', 1, 10, 9, 1294226006);
INSERT INTO `pluginhooks` VALUES(10, 'tpl_sidebar', 'News', 'newssidebar', 'jakcmspro', 1, 2, 0, 1294229510);
INSERT INTO `pluginhooks` VALUES(11, 'tpl_sidebar', 'Login Form', 'loginsidebar', 'jakcmspro', 1, 1, 0, 1294237963);
INSERT INTO `pluginhooks` VALUES(12, 'tpl_sidebar', 'Search Form', 'searchsidebar', 'jakcmspro', 1, 3, 0, 1294225868);
INSERT INTO `pluginhooks` VALUES(13, 'php_index_top', 'Extended URL JAK Plugins', '$c_tpl->assign(''JAK_REGISTER'', JAK_REGISTER);\r\n$c_tpl->assign(''JAK_ONLINEUSER'', JAK_ONLINEUSER);\r\n$c_tpl->assign(''JAK_ADVREG'', JAK_ADVREG);\r\n$c_tpl->assign(''JAK_ADDTHIS'', JAK_ADDTHIS);\r\n$c_tpl->assign(''JAK_PRINTME'', JAK_PRINTME);\r\n$c_tpl->assign(''JAK_SHOW_LOGIN_SIDE'', JAK_LOGINSIDE);', 'jakcmspro', 1, 1, 0, 1294307640);
INSERT INTO `pluginhooks` VALUES(14, 'php_tags', 'Check Blog Tags', 'If ($row[''pluginid''] == JAK_PLUGIN_ID_BLOG) {\r\n$blogtagData[] = JAK_tags::jakTagsql("blog".JAK_CMSADMINLANG, $row[''itemid''], "id, title, content", "content", JAK_PLUGIN_VAR_BLOG, "a", JAK_BLOGURL);\r\n$c_tpl->assign(''JAK_TAG_BLOG_DATA'', $blogtagData);\r\n}', 'jakcmspro', 1, 1, 1, 1294406920);
INSERT INTO `pluginhooks` VALUES(15, 'php_tags', 'Check Event Tags', 'If ($row[''pluginid''] == JAK_PLUGIN_ID_EVENT) {\r\n$eventtagData[] = JAK_tags::jakTagsql("event".JAK_CMSADMINLANG, $row[''itemid''], "id, title, content", "content", JAK_PLUGIN_VAR_EVENT, "a", JAK_EVENTURL);\r\n$c_tpl->assign(''JAK_TAG_EVENT_DATA'', $eventtagData);\r\n}', 'jakcmspro', 1, 3, 3, 1294407020);
INSERT INTO `pluginhooks` VALUES(16, 'php_tags', 'Check Forum Tags', 'If ($row[''pluginid''] == JAK_PLUGIN_ID_FORUM) {\r\n$forumtagData[] = JAK_tags::jakTagsql("forumthread".JAK_CMSADMINLANG, $row[''itemid''], "id, title, description", "description", JAK_PLUGIN_VAR_FORUM, "t", JAK_FORUMURL);\r\n$c_tpl->assign(''JAK_TAG_FORUM_DATA'', $forumtagData);\r\n}', 'jakcmspro', 1, 2, 2, 1294407039);
INSERT INTO `pluginhooks` VALUES(17, 'php_tags', 'Check Gallery Tags', 'if ($row[''pluginid''] == JAK_PLUGIN_ID_GALLERY) {\r\n$sqlg = ''SELECT id, name, varname, content, permission FROM ''.DB_PREFIX.''gallerycategories''.JAK_CMSADMINLANG.'' WHERE id = "''.smartsql($row[''itemid'']).''" AND active = 1 LIMIT 1'';\r\n		    		$resultg = $jakdb->query($sqlg);\r\n		    		$rowg = $resultg->fetch_assoc();\r\n		    		if ($jakdb->affected_rows > 0) {\r\n		    		$getStriped = jak_cut_text($rowg[''content''],JAK_SHORTMSG,''...'');\r\n		    		if (jak_get_access(JAK_USERGROUPID,$rowg[''permission'']) || $rowg[''permission''] == 0) {\r\n  if (JAK_GALLERYURL) {\r\n $seog = $rowg[''varname''];\r\n }\r\n $parseurl = JAK_rewrite::jakParseurl(JAK_PLUGIN_VAR_GALLERY, ''c'', $rowg[''id''], $seog, '''');\r\n		$galleryData[] = array(''id'' => $rowg[''id''], ''title'' => strip_tags($rowg[''name'']), ''parseurl'' => $parseurl, ''content'' => $getStriped);\r\n		    		$c_tpl->assign(''JAK_TAG_GALLERY_DATA'', $galleryData);\r\n		    		}\r\n		    		}\r\n}', 'jakcmspro', 1, 5, 4, 1294504731);
INSERT INTO `pluginhooks` VALUES(18, 'php_tags', 'Check Video Tags', 'If ($row[''pluginid''] == JAK_PLUGIN_ID_VIDEO) {\r\n$videotagData[] = JAK_tags::jakTagsql("video".JAK_CMSADMINLANG, $row[''itemid''], "id, title, content", "content", JAK_PLUGIN_VAR_VIDEO, "v", JAK_VIDEOURL);\r\n$c_tpl->assign(''JAK_TAG_VIDEO_DATA'', $videotagData);\r\n}', 'jakcmspro', 1, 4, 5, 1294407315);
INSERT INTO `pluginhooks` VALUES(19, 'php_search', 'Forum Search', 'if ($s == JAK_PLUGIN_ID_FORUM) {\r\n$forum = new JAK_search($SearchInput); \r\n        	$forum->jakSettable(array(''1'' => ''forumposts''.JAK_CMSADMINLANG, ''2'' => ''forumthread''.JAK_CMSADMINLANG),"t1.threadid = t2.id");\r\n        	$forum->jakAndor("OR");\r\n        	$forum->jakFieldactive("t1.approve");\r\n        	$forum->jakFieldtitle("title");\r\n        	$forum->jakFieldcut("content");\r\n        	$forum->jakTablegroup("t2.id");\r\n        	$forum->jakFieldstosearch(array(''t2.title'',''content''));\r\n        	$forum->jakFieldstoselect("t2.id, t2.title, content");\r\n        	\r\n        	// Load the array into template\r\n        	$c_tpl->assign(''JAK_SEARCH_RESULT_FORUM'', $forum->set_result(JAK_PLUGIN_VAR_FORUM, ''t'', JAK_FORUMURL));\r\n}', 'jakcmspro', 1, 2, 2, 1294493025);
INSERT INTO `pluginhooks` VALUES(20, 'php_search', 'Blog Search', 'if ($s == JAK_PLUGIN_ID_BLOG) {\r\n$blog = new JAK_search($SearchInput); \r\n        	$blog->jakSettable(''blog''.JAK_CMSADMINLANG,"");\r\n        	$blog->jakAndor("OR");\r\n        	$blog->jakFieldactive("active");\r\n        	$blog->jakFieldtitle("title");\r\n        	$blog->jakFieldcut("content");\r\n        	$blog->jakFieldstosearch(array(''title'',''content''));\r\n        	$blog->jakFieldstoselect("id, title, content");\r\n        	\r\n        	// Load the array into template\r\n        	$c_tpl->assign(''JAK_SEARCH_RESULT_BLOG'', $blog->set_result(JAK_PLUGIN_VAR_BLOG, ''a'', JAK_BLOGURL));\r\n}', 'jakcmspro', 1, 1, 1, 1294493057);
INSERT INTO `pluginhooks` VALUES(21, 'php_search', 'Event Search', 'if ($s == JAK_PLUGIN_ID_EVENT) {\r\n$event = new JAK_search($SearchInput); \r\n        	$event->jakSettable(''event''.JAK_CMSADMINLANG,"");\r\n        	$event->jakAndor("OR");\r\n        	$event->jakFieldactive("active");\r\n        	$event->jakFieldtitle("title");\r\n        	$event->jakFieldcut("content");\r\n        	$event->jakFieldstosearch(array(''title'',''content''));\r\n        	$event->jakFieldstoselect("id, title, content");\r\n        	\r\n        	// Load the array into template\r\n        	$c_tpl->assign(''JAK_SEARCH_RESULT_EVENT'', $event->set_result(JAK_PLUGIN_VAR_EVENT, ''a'', JAK_EVENTGURL));\r\n}', 'jakcmspro', 1, 3, 3, 1294493122);
INSERT INTO `pluginhooks` VALUES(22, 'php_search', 'Video Search', 'if ($s == JAK_PLUGIN_ID_VIDEO) {\r\n$video = new JAK_search($SearchInput); \r\n        	$video->jakSettable(''video''.JAK_CMSADMINLANG,"");\r\n        	$video->jakAndor("OR");\r\n        	$video->jakFieldactive("active");\r\n        	$video->jakFieldtitle("title");\r\n        	$video->jakFieldcut("content");\r\n        	$video->jakFieldstosearch(array(''title'',''content''));\r\n        	$video->jakFieldstoselect("id, title, content");\r\n        	\r\n        	// Load the array into template\r\n        	$c_tpl->assign(''JAK_SEARCH_RESULT_VIDEO'', $video->set_result(JAK_PLUGIN_VAR_VIDEO, ''v'', JAK_VIDEOURL));\r\n}', 'jakcmspro', 1, 5, 5, 1294493104);
INSERT INTO `pluginhooks` VALUES(23, 'php_search', 'Gallery Search', 'if ($s == JAK_PLUGIN_ID_GALLERY) {\r\n$gallery = new JAK_search($SearchInput); \r\n        	$gallery->jakSettable(array(''1'' => ''gallery'', ''2'' => ''gallerycategories''.JAK_CMSADMINLANG),"t1.catid = t2.id");\r\n        	$gallery->jakAndor("OR");\r\n        	$gallery->jakFieldactive("active");\r\n        	$gallery->jakFieldtitle("imagename");\r\n        	$gallery->jakFieldcut("t2.content");\r\n        	$gallery->jakFieldstosearch(array(''t1.imagename'',''t2.content''));\r\n        	$gallery->jakFieldstoselect("t1.id, t1.imagename, t2.content");\r\n        	\r\n        	// Load the array into template\r\n        	$c_tpl->assign(''JAK_SEARCH_RESULT_GALLERY'', $gallery->set_result(JAK_PLUGIN_VAR_GALLERY, ''p'', JAK_GALLERYURL));\r\n}', 'jakcmspro', 1, 6, 4, 1294505146);
INSERT INTO `pluginhooks` VALUES(24, 'php_admin_user_delete_mass', 'User Mass Delete', '// Now delete or upgrade to guests if wish so\r\n		        	for ($i = 0; $i < JAK_LANGTOTAL; $i++) {\r\n		        	\r\n		        		if ($i != 0) {\r\n		        			$o = ''_l''.$i;\r\n		        		} else {\r\n		        			$o = '''';\r\n		        		}\r\n		        			\r\n		        		// Update blog comments to userid 0\r\n		        		$jakdb->query(''UPDATE ''.DB_PREFIX.''blogcomments''.$o'' SET userid = 0 WHERE userid = ''.$locked.'''');\r\n		        		\r\n		        		// Update event comments to userid 0\r\n		        		$jakdb->query(''UPDATE ''.DB_PREFIX.''eventcomments''.$o'' SET userid = 0 WHERE userid = ''.$locked.'''');\r\n		        		\r\n		        		// Update forum threads to userid 0\r\n		        		$jakdb->query(''UPDATE ''.DB_PREFIX.''forumthread''.$o'' SET userid = 0 WHERE userid = ''.$locked.'''');\r\n		        		\r\n		        		// Update forum posts to userid 0\r\n		        		$jakdb->query(''UPDATE ''.DB_PREFIX.''forumposts''.$o'' SET userid = 0 WHERE userid = ''.$locked.'''');\r\n		        		\r\n		        		// Update gallery comments to userid 0\r\n		        		$jakdb->query(''UPDATE ''.DB_PREFIX.''gallerycomments''.$o'' SET userid = 0 WHERE userid = ''.$locked.'''');\r\n		        		\r\n		        		// Delete all joined event entries\r\n		        		$jakdb->query(''DELETE FROM ''.DB_PREFIX.''eventjoin''.$o'' WHERE userid = ''.$locked.'''');\r\n		        			\r\n		        	}', 'jakcmspro', 1, 1, 0, 1294558063);
INSERT INTO `pluginhooks` VALUES(25, 'php_admin_user_delete', 'User Single Delete', '// Now check if there is more the one language installed!\r\n					for ($i = 0; $i < JAK_LANGTOTAL; $i++) {\r\n					\r\n							if ($i != 0) {\r\n								$o = ''_l''.$i;\r\n							} else {\r\n								$o = '''';\r\n							}\r\n							\r\n							// Update blog comments to userid 0\r\n							$jakdb->query(''UPDATE ''.DB_PREFIX.''blogcomments''.$o'' SET userid = 0 WHERE userid = ''.$page2.'''');\r\n							\r\n							// Update event comments to userid 0\r\n							$jakdb->query(''UPDATE ''.DB_PREFIX.''eventcomments''.$o'' SET userid = 0 WHERE userid = ''.$page2.'''');\r\n							\r\n							// Update forum threads to userid 0\r\n							$jakdb->query(''UPDATE ''.DB_PREFIX.''forumthread''.$o'' SET userid = 0 WHERE userid = ''.$page2.'''');\r\n							\r\n							// Update forum posts to userid 0\r\n							$jakdb->query(''UPDATE ''.DB_PREFIX.''forumposts''.$o'' SET userid = 0 WHERE userid = ''.$page2.'''');\r\n							\r\n							// Update gallery comments to userid 0\r\n							$jakdb->query(''UPDATE ''.DB_PREFIX.''gallerycomments''.$o'' SET userid = 0 WHERE userid = ''.$page2.'''');\r\n							\r\n							// Delete all joined event entries\r\n							$jakdb->query(''DELETE FROM ''.DB_PREFIX.''eventjoin''.$o'' WHERE userid = ''.$page2.'''');\r\n							\r\n					}', 'jakcmspro', 1, 1, 0, 1294558179);
INSERT INTO `pluginhooks` VALUES(26, 'php_admin_user_rename', 'User Rename (Blog, Gallery, Event, Forum and Video)', '// Now check if there is more the one language installed!\r\n			for ($i = 0; $i < JAK_LANGTOTAL; $i++) {\r\n			\r\n					if ($i != 0) {\r\n						$o = ''_l''.$i;\r\n					} else {\r\n						$o = '''';\r\n					}\r\n			\r\n				// Update the blog table\r\n				$jakdb->query(''UPDATE ''.DB_PREFIX.''blogcomments''.$o.'' SET username = "''.smartsql($defaults[''jak_username'']).''" WHERE userid = ''.smartsql($page2).'''');\r\n				\r\n				// Update the gallery table\r\n				$jakdb->query(''UPDATE ''.DB_PREFIX.''gallerycomments''.$o.'' SET username = "''.smartsql($defaults[''jak_username'']).''" WHERE userid = ''.smartsql($page2).'''');\r\n				\r\n				// Update the event table\r\n				$jakdb->query(''UPDATE ''.DB_PREFIX.''eventcomments''.$o.'' SET username = "''.smartsql($defaults[''jak_username'']).''" WHERE userid = ''.smartsql($page2).'''');\r\n				\r\n				// Update the event join table\r\n				$jakdb->query(''UPDATE ''.DB_PREFIX.''eventjoin''.$o.'' SET username = "''.smartsql($defaults[''jak_username'']).''" WHERE userid = ''.smartsql($page2).'''');\r\n		\r\n				\r\n				// Update the forum post table\r\n				$jakdb->query(''UPDATE ''.DB_PREFIX.''forumposts''.$o.'' SET username = "''.smartsql($defaults[''jak_username'']).''" WHERE userid = ''.smartsql($page2).'''');\r\n				\r\n				// Update the forum thread table\r\n				$jakdb->query(''UPDATE ''.DB_PREFIX.''forumthread''.$o.'' SET username = "''.smartsql($defaults[''jak_username'']).''" WHERE userid = ''.smartsql($page2).'''');\r\n \r\n}', 'jakcmspro', 1, 1, 0, 1294562931);
INSERT INTO `pluginhooks` VALUES(27, 'tpl_between_head', 'Forum CSS Stylesheet', 'forumheader', 'jakcmspro', 1, 1, 2, 1294229516);

-- --------------------------------------------------------

--
-- Table structure for table `plugins`
--

CREATE TABLE `plugins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` longtext,
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `access` mediumtext,
  `pluginorder` int(11) unsigned NOT NULL DEFAULT '1',
  `pluginpath` varchar(255) DEFAULT NULL,
  `phpcode` text,
  `phpcodeadmin` text,
  `sidenavhtml` varchar(255) DEFAULT NULL,
  `usergroup` varchar(100) DEFAULT NULL,
  `uninstallfile` varchar(255) DEFAULT NULL,
  `pluginversion` varchar(5) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

--
-- Dumping data for table `plugins`
--

INSERT INTO `plugins` VALUES(1, 'Blog', 'Run your own blog, with the possibilities to leave comments and rate your blog article.', 1, '1', 1, NULL, 'require_once ''blog.php'';', 'if ($page == ''blog'') {\r\n        require_once ''blog.php'';\r\n        $c_tpl->assign(''JAK_PROVED'', 1);\r\n        $c_tpl->assign(''JAK_PAGE_ACTIVE2'', 1);\r\n        $checkp = 1;\r\n     }', 'blognav', 'blog', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(2, 'Forum', 'Run your own forum on your website, with only a few clicks you have a very powerful forum installed.', 1, '1', 2, NULL, 'require_once ''forum.php'';', 'if ($page == ''forum'') {\r\n        require_once ''forum.php'';\r\n        $c_tpl->assign(''JAK_PROVED'', 1);\r\n        $c_tpl->assign(''JAK_PAGE_ACTIVE3'', 1);\r\n        $checkp = 1;\r\n     }', 'forumnav', 'forum', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(3, 'Event', 'Create events straight on your website and let your members join and comment it.', 1, '1', 3, NULL, 'require_once ''event.php'';', 'if ($page == ''event'') {\r\n        require_once ''event.php'';\r\n        $c_tpl->assign(''JAK_PROVED'', 1);\r\n        $c_tpl->assign(''JAK_PAGE_ACTIVE4'', 1);\r\n        $checkp = 1;\r\n     }', 'eventnav', 'event', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(4, 'Gallery', 'A very powerful gallery, multi upload and watermark are just the a few things this gallery can do!', 1, '1', 4, NULL, 'require_once ''gallery.php'';', 'if ($page == ''gallery'') {\r\n        require_once ''gallery.php'';\r\n        $c_tpl->assign(''JAK_PROVED'', 1);\r\n        $c_tpl->assign(''JAK_PAGE_ACTIVE5'', 1);\r\n        $checkp = 1;\r\n     }', 'gallerynav', 'gallery', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(5, 'Video', 'Video like Youtube or Vimeo, no problem with this plugin, you even can link videos from another source.', 1, '1', 5, NULL, 'require_once ''video.php'';', 'if ($page == ''video'') {\r\n         require_once ''video.php'';\r\n         $c_tpl->assign(''JAK_PROVED'', 1);\r\n         $c_tpl->assign(''JAK_PAGE_ACTIVE11'', 1);\r\n         $checkp = 1;\r\n     }', 'videonav', 'video', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(6, 'Advertising', 'Display all kind of advertising on your site with no modification on the code.', 1, '1', 6, NULL, NULL, 'if ($page == ''ads'') {\r\n         require_once ''ads.php'';\r\n         $c_tpl->assign(''JAK_PROVED'', 1);\r\n         $c_tpl->assign(''JAK_PAGE_ACTIVE7'', 1);\r\n         $checkp = 1;\r\n      }', 'adsnav', 'ads', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(7, 'Newsletter', 'Send Newsletter to your user.', 1, '1', 7, NULL, NULL, 'if ($page == ''newsletter'') {\r\n         require_once ''newsletter.php'';\r\n         $c_tpl->assign(''JAK_PROVED'', 1);\r\n         $c_tpl->assign(''JAK_PAGE_ACTIVE6'', 1);\r\n         $checkp = 1;\r\n      }', 'nlnav', 'newsletter', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(8, 'PM', 'Give your user the possibilities to send private messages to each other', 1, '1', 8, NULL, NULL, 'if ($page == ''pm'') {\r\n         require_once ''pm.php'';\r\n         $c_tpl->assign(''JAK_PROVED'', 1);\r\n         $c_tpl->assign(''JAK_PAGE_ACTIVE8'', 1);\r\n         $checkp = 1;\r\n      }', 'pmnav', 'pm', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(9, 'Tags', 'Have tags on your website, very good for search engine optimization.', 1, '1', 9, NULL, 'require_once ''tags.php'';', 'if ($page == ''tag'') {\r\n         require_once ''tag.php'';\r\n         $c_tpl->assign(''JAK_PROVED'', 1);\r\n         $c_tpl->assign(''JAK_PAGE_ACTIVE9'', 1);\r\n         $checkp = 1;\r\n      }', 'tagnav', 'tags', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(10, 'Sitemap', 'Run a sitemap on your website for better SEO.', 1, '1', 10, NULL, 'require_once ''sitemap.php'';', NULL, NULL, '1', NULL, NULL, 1294055707);
INSERT INTO `plugins` VALUES(11, 'Memberlist', 'Display a list with all members.', 1, '1', 11, NULL, 'require_once ''memberlist.php'';', NULL, NULL, 'memberlist', NULL, NULL, 1294055707);

-- --------------------------------------------------------

--
-- Table structure for table `pm`
--

CREATE TABLE `pm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `content` mediumtext,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pm`
--


-- --------------------------------------------------------

--
-- Table structure for table `pmreceipt`
--

CREATE TABLE `pmreceipt` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pmid` int(11) unsigned NOT NULL DEFAULT '0',
  `fromuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `fromusername` varchar(100) DEFAULT NULL,
  `touserid` int(11) unsigned NOT NULL DEFAULT '0',
  `tousername` varchar(100) DEFAULT NULL,
  `readtime` int(10) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `pmid` (`pmid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pmreceipt`
--


-- --------------------------------------------------------

--
-- Table structure for table `search`
--

CREATE TABLE `search` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `searchterm` varchar(100) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `count` int(11) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `search`
--


-- --------------------------------------------------------

--
-- Table structure for table `setting`
--

CREATE TABLE `setting` (
  `varname` varchar(100) NOT NULL DEFAULT '',
  `groupname` varchar(50) DEFAULT NULL,
  `value` mediumtext,
  `defaultvalue` mediumtext,
  `optioncode` mediumtext,
  `datatype` enum('free','number','boolean','bitfield','username','integer','posint') NOT NULL DEFAULT 'free',
  `product` varchar(25) DEFAULT '',
  PRIMARY KEY (`varname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `setting`
--

INSERT INTO `setting` VALUES('version', 'version', '2.2.5', '2.2.5', NULL, 'free', 'jakcms');
INSERT INTO `setting` VALUES('offline', 'general', '0', '1', 'yesno', 'boolean', 'jakcms');
INSERT INTO `setting` VALUES('offlinemessage', 'general', '<p>Sorry, the site is unavailable at the moment while we are testing some functionality.</p>', 'Sorry, the site is unavailable at the moment while we are testing some functionality.', 'textarea', 'free', 'jakcms');
INSERT INTO `setting` VALUES('title', 'general', 'JAKCMS 2.2.5', 'JAKCMS 2.2.5', 'input', 'free', 'jakcms');
INSERT INTO `setting` VALUES('copyright', 'general', 'yoursite.com copyright 2011', 'JAKCMS.com copyright 2011', 'input', 'free', 'jakcms');
INSERT INTO `setting` VALUES('metadesc', 'general', 'Professional Content Management System', 'Professional Content Management System', 'textarea', 'free', 'jakcms');
INSERT INTO `setting` VALUES('metakey', 'general', 'jakcms,news,contact,blog,video,gallery,newsletter,advertising,pm,tags', 'jakcms,news,contact', 'textarea', 'free', 'jakcms');
INSERT INTO `setting` VALUES('metaauthor', 'general', 'http://www.yoursite.com', 'http://www.jakcms.com', 'input', 'free', 'jakcms');
INSERT INTO `setting` VALUES('robots', 'general', '1', '1', 'yesno', 'boolean', 'jakcms');
INSERT INTO `setting` VALUES('email', 'setting', 'youremail@domain.com', 'youremail@domain.com', 'input', 'free', 'jakcms');
INSERT INTO `setting` VALUES('sitehttps', 'setting', '0', '0', 'yesno', 'boolean', 'jakcms');
INSERT INTO `setting` VALUES('acplang', 'setting', 'en', 'en', 'select', 'free', 'jakcms');
INSERT INTO `setting` VALUES('dateformat', 'setting', 'd.m.Y', 'd.m.Y', 'input', 'free', 'jakcms');
INSERT INTO `setting` VALUES('timeformat', 'setting', ' : h:i A', 'h:i A', 'input', 'free', 'jakcms');
INSERT INTO `setting` VALUES('searchform', 'setting', '1', '1', 'yesno', 'boolean', 'jakcms');
INSERT INTO `setting` VALUES('avatarpath', 'setting', '', NULL, 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('contactform', 'setting', '1', '1', 'yesno', 'boolean', 'jakcms');
INSERT INTO `setting` VALUES('sitestyle', 'setting', 'jakcms', 'jakcms', 'select', 'free', 'jakcms');
INSERT INTO `setting` VALUES('adminpagemid', 'setting', '3', '3', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('adminpageitem', 'setting', '10', '10', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('timezone', 'setting', '3600', '0', 'select', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('timezoneserver', 'setting', 'Europe/Zurich', 'Europe/Zurich', 'select', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('addthis', 'setting', '', 'jakcms', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('rss', 'setting', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('rssitem', 'setting', '10', '10', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('onlineuser', 'setting', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('langtotal', 'setting', '1', '1', 'select', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('lang', 'setting', 'en', 'en', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('lang1', 'setting', 'de', 'de', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('lang2', 'setting', 'es', 'es', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('lang3', 'setting', 'it', 'it', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('lang4', 'setting', 'fr', 'fr', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('lang5', 'setting', 'ru', 'ru', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('userpath', 'setting', '', '', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('register', 'setting', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('welcomepage', 'setting', '0', '0', 'select', 'integer', 'jakcmspro');
INSERT INTO `setting` VALUES('loginside', 'setting', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('printme', 'setting', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('standardgroup', 'setting', '2', '2', 'select', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('welcomeuser', 'setting', '<p>Welcome to our community you can now login and discover all the features we offer.<br /><br />Your Account needs to be approved, this takes usually less then 24h.</p>', 'Welcome to our community you can now login and discover all the features we offer', 'textarea', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('userapprove', 'setting', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('userlink', 'setting', '0', '0', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('useremaildouble', 'setting', '0', '0', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('shortmsg', 'setting', '160', '150', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('shownews', 'setting', '5', '5', 'select', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('accessgeneral', 'module', '1', '1', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('accessmanage', 'module', '1', '1', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('blogtitle', 'blog', 'My Blog on JAKCMS', 'My Blog on JAKCMS', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('blogdesc', 'blog', '<p>Describe your blog in a few words or even more...</p>', 'Describe your blog in a few words.', 'textarea', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('blogemail', 'blog', '', 'blog@mydomain.com', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('blogdateformat', 'blog', 'd.m.Y : ', 'd.m.Y', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('blogtimeformat', 'blog', 'H:i', 'h:i A', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('blogurl', 'blog', '0', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('blogajaxsearch', 'blog', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('bloginform', 'blog', '0', '0', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('blogmaxpost', 'blog', '2000', '2000', 'input', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('blogrss', 'blog', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('blogrssitem', 'blog', '10', '10', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('blogpagemid', 'blog', '3', '3', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('blogpageitem', 'blog', '3', '5', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('forumtitle', 'forum', 'Forum', 'My Forum on JAKCMS', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('forumdesc', 'forum', '<p>Describe your Forum in a few words or a bit more...</p>', 'Describe your Forum in a few words.', 'textarea', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('shownewforumpost', 'forum', '1', '1,2,3', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('newforumposts', 'forum', '5', '5', 'select', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('forumtagtopic', 'forum', '5', '5', 'input', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('forumemail', 'forum', '', 'forum@mydomain.com', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('forumdateformat', 'forum', 'd.m.Y', 'd.m.Y', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('forumtimeformat', 'forum', ' : h:i A', 'h:i A', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('forumurl', 'forum', '0', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('foruminform', 'forum', '0', '0', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('forummaxpost', 'forum', '2000', '2000', 'input', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('forumrss', 'forum', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('forummark', 'forum', '0', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('forumfastreply', 'forum', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('forumajaxsearch', 'forum', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('forumrssitem', 'forum', '10', '10', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('forumpagemid', 'forum', '5', '3', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('forumpageitem', 'forum', '10', '5', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('thumbw', 'gallery', '100', '100', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('thumbh', 'gallery', '75', '75', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('galleryw', 'gallery', '600', '600', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('galleryh', 'gallery', '450', '450', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('imgquality', 'gallery', '75', '75', 'select', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('watermark', 'gallery', '', 'img/watermark/wm.png', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('wmposition', 'gallery', '3', '9', 'radio', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('uploadpath', 'gallery', '', 'your/absolute/path', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('imgsize', 'gallery', '1024', '1024', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('gallerypagemid', 'gallery', '5', '5', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('gallerypageitem', 'gallery', '20', '20', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('gallerytitle', 'gallery', 'My Gallery on JAKCMS', 'Gallery', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('gallerydesc', 'gallery', '<p>Describe your gallery in a few or more words.</p>', 'Describe your gallery in a few or more words.', 'textarea', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('galleryemail', 'gallery', '', 'gallery@mydomain.com', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('galleryinform', 'gallery', '0', '0', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('gallerymaxpost', 'gallery', '2000', '2000', 'input', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('shownewphoto', 'gallery', '1,2', '1,2', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('displaynewphoto', 'gallery', '12', '12', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('galleryurl', 'gallery', '0', '0', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('galleryajaxsearch', 'gallery', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('gallerydateformat', 'gallery', 'd.m.Y', 'd.m.Y', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('gallerytimeformat', 'gallery', '', ' : h:i A', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('taglimit', 'tags', '30', '20', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('tagminfont', 'tags', '12', '12', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('tagmaxfont', 'tags', '24', '24', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('hvm', 'hvm', '0', '1', 'radio', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('recaptcha', 'hvm', '', '', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('rcprivate', 'hvm', '', '', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('eventtitle', 'event', 'My Events on JAKCMS', 'Event', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('eventdesc', 'event', '<p>About your events, parties or other meetings.</p>', 'Describe your event section in a few words.', 'textarea', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('eventemail', 'event', '', 'event@mydomain.com', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('eventinform', 'event', '0', '0', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('eventmaxpost', 'event', '2000', '2000', 'input', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('eventdateformat', 'event', 'd.m.Y', 'd.m.Y', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('eventtimeformat', 'event', ' : h:i A', 'h:i A', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('eventweekstart', 'event', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('eventurl', 'event', '0', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('eventajaxsearch', 'event', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('eventpagemid', 'event', '3', '3', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('eventpageitem', 'event', '3', '5', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('eventrss', 'event', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('eventrssitem', 'event', '10', '10', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('videotitle', 'video', 'My Videos on JAKCMS', 'Video', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('videodesc', 'video', '<p>Describe your video page...</p>', 'Describe your video in a few words.', 'textarea', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('videoemail', 'video', '', 'video@mydomain.com', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('videodateformat', 'video', 'd.m.Y : ', 'd.m.Y', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('videotimeformat', 'video', 'H:i', 'h:i A', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('videourl', 'video', '0', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('videoajaxsearch', 'video', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('videoinform', 'video', '0', '0', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('videomaxpost', 'video', '2000', '2000', 'input', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('videorss', 'video', '1', '1', 'yesno', 'boolean', 'jakcmspro');
INSERT INTO `setting` VALUES('videorssitem', 'video', '10', '10', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('videopagemid', 'video', '3', '3', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('videopageitem', 'video', '3', '5', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('newslettersend', 'newsletter', '0', '0', 'yesno', '', 'jakcmspro');
INSERT INTO `setting` VALUES('newsletterport', 'newsletter', '25', '25', 'input', 'number', 'jakcmspro');
INSERT INTO `setting` VALUES('newsletterhost', 'newsletter', '', '', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('newsletterusername', 'newsletter', '', '', 'input', 'free', 'jakcmspro');
INSERT INTO `setting` VALUES('newsletterpassword', 'newsletter', '', '', 'input', 'free', 'jakcmspro');

-- --------------------------------------------------------

--
-- Table structure for table `tagcloud`
--

CREATE TABLE `tagcloud` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(100) DEFAULT NULL,
  `count` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `tag` (`tag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tagcloud`
--


-- --------------------------------------------------------

--
-- Table structure for table `tags`
--

CREATE TABLE `tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(100) DEFAULT NULL,
  `itemid` int(11) unsigned NOT NULL DEFAULT '0',
  `pluginid` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `module` (`pluginid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tags`
--


-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usergroupid` int(11) unsigned NOT NULL DEFAULT '2',
  `username` varchar(100) DEFAULT NULL,
  `password` char(64) NOT NULL,
  `idhash` varchar(32) DEFAULT NULL,
  `session` varchar(32) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `weburl` varchar(100) DEFAULT NULL,
  `picture` varchar(255) NOT NULL DEFAULT '/standard_s.png',
  `localfile` smallint(1) unsigned NOT NULL DEFAULT '1',
  `forumpost` int(11) unsigned NOT NULL DEFAULT '0',
  `blogpost` int(11) unsigned NOT NULL DEFAULT '0',
  `eventpost` int(11) unsigned NOT NULL DEFAULT '0',
  `gallerypost` int(11) unsigned NOT NULL DEFAULT '0',
  `videopost` int(11) unsigned NOT NULL DEFAULT '0',
  `timezone` int(10) NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `lastactivity` int(10) NOT NULL DEFAULT '0',
  `newpm` smallint(1) unsigned NOT NULL DEFAULT '0',
  `message` smallint(1) unsigned NOT NULL DEFAULT '0',
  `messageapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `messageinform` smallint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `access` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forgot` int(11) unsigned NOT NULL DEFAULT '0',
  `activatenr` varchar(20) DEFAULT NULL,
  `deletenr` varchar(20) DEFAULT NULL,
  `deleteproved` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `usergroupid` (`usergroupid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `user`
--

INSERT INTO `user` VALUES(1, 3, 'jerome', '25eab476e7eb3ad282161b3aa8c03a63263cb9dacf6470ab1fa8dfc73f939481', 'd2f920254e090730fc37c0cad350d60f', '51cfb6ffbd31e2e9e291d80149951f02', 'jerome.kaegi@gmail.com', 'Jérôme Kaegi', NULL, '/standard_s.png', 1, 0, 0, 0, 0, 0, 0, 1309273775, 1309273818, 0, 0, 0, 0, 0, 1, 0, NULL, NULL, 0);

-- --------------------------------------------------------

--
-- Table structure for table `usercomment`
--

CREATE TABLE `usercomment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `fromuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `fromusername` varchar(100) DEFAULT NULL,
  `message` text,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `usercomment`
--


-- --------------------------------------------------------

--
-- Table structure for table `usergroup`
--

CREATE TABLE `usergroup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `description` mediumtext,
  `blog` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blogpost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blogpostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blogpostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blograte` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blogmoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forum` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumpost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumpostedit` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumpostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumpostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumrate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forummoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `event` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventjoin` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventpost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventpostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventpostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventmoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `newsletter` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallery` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerypost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerypostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerypostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `galleryrate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerymoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `video` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videopost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videopostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videopostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videorate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videomoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `pm` smallint(1) unsigned NOT NULL DEFAULT '0',
  `pmmax` smallint(2) unsigned NOT NULL DEFAULT '2',
  `pmtotal` mediumint(3) NOT NULL DEFAULT '20',
  `attachal` smallint(1) unsigned NOT NULL DEFAULT '0',
  `attachap` smallint(1) unsigned NOT NULL DEFAULT '0',
  `attachext` varchar(255) NOT NULL DEFAULT 'jpg,jpeg,png',
  `attachext1` varchar(255) NOT NULL DEFAULT 'zip,rar,pdf',
  `filebyte` int(11) unsigned NOT NULL DEFAULT '102400',
  `filepost` smallint(2) unsigned NOT NULL DEFAULT '5',
  `imagetw` int(11) unsigned NOT NULL DEFAULT '100',
  `imageth` int(11) unsigned NOT NULL DEFAULT '75',
  `imagew` int(11) unsigned NOT NULL DEFAULT '600',
  `imageh` int(11) unsigned NOT NULL DEFAULT '450',
  `tags` smallint(1) unsigned NOT NULL DEFAULT '0',
  `advsearch` smallint(1) unsigned NOT NULL DEFAULT '0',
  `ads` smallint(1) unsigned NOT NULL DEFAULT '0',
  `memberlist` smallint(1) unsigned NOT NULL DEFAULT '0',
  `usrdel` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `usergroup`
--

INSERT INTO `usergroup` VALUES(1, 'Guest', '<p>Usergroup for all the guests.</p>', 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 'jpg,jpeg,png,zip,rar', 'zip,rar,pdf', 1024, 5, 100, 75, 600, 450, 1, 1, 1, 0, 0);
INSERT INTO `usergroup` VALUES(2, 'Member (Standard)', '<p>Standard user group after register on your site.</p>', 1, 1, 0, 0, 1, 0, 1, 1, 1, 0, 0, 1, 0, 1, 1, 1, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0, 1, 1, 0, 0, 1, 0, 1, 2, 20, 1, 0, 'jpg,jpeg,png,gif', 'zip,rar,pdf', 512, 5, 100, 75, 600, 450, 1, 1, 1, 0, 0);
INSERT INTO `usergroup` VALUES(3, 'Administrator', '<p>Administrator user group, usually full access and no approval for posts.</p>', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 5, 50, 1, 1, 'jpg,jpeg,png,gif', 'zip,rar,pdf', 1024, 5, 100, 75, 600, 450, 1, 1, 0, 1, 0);
INSERT INTO `usergroup` VALUES(4, 'Moderator', '<p>Moderator user group, they can delete other post from blog, forum, gallery or shop.</p>', 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 0, 1, 2, 40, 1, 1, 'jpg,jpeg,png,zip,rar', 'zip,rar,pdf', 1024, 5, 100, 75, 600, 450, 1, 1, 0, 1, 0);
INSERT INTO `usergroup` VALUES(5, 'Banned', '<p>Banned user can only browse thru the page.</p>', 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 'jpg,jpeg,png,zip,rar', 'zip,rar,pdf', 10, 5, 100, 75, 600, 450, 0, 0, 1, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `usertext`
--

CREATE TABLE `usertext` (
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `content` text,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `usertext`
--


-- --------------------------------------------------------

--
-- Table structure for table `video`
--

CREATE TABLE `video` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `videopath` varchar(255) DEFAULT NULL,
  `imgpath` varchar(255) DEFAULT NULL,
  `externpath` varchar(255) DEFAULT NULL,
  `externpathm` varchar(255) DEFAULT NULL,
  `videow` smallint(4) unsigned NOT NULL DEFAULT '525',
  `videoh` smallint(4) unsigned NOT NULL DEFAULT '295',
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '1',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `video`
--


-- --------------------------------------------------------

--
-- Table structure for table `videocategories`
--

CREATE TABLE `videocategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `videocategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `videocomments`
--

CREATE TABLE `videocomments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `videoid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text NOT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleryid` (`videoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `videocomments`
--

