--
-- Table structure for table `ads`
--

CREATE TABLE IF NOT EXISTS `ads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `adshtml` text,
  `location` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `turnoffviews` int(11) unsigned NOT NULL DEFAULT '0',
  `turnoffhits` int(11) unsigned NOT NULL DEFAULT '0',
  `views` int(11) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `location` (`location`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `ads`
--


-- --------------------------------------------------------

--
-- Table structure for table `attach`
--

CREATE TABLE IF NOT EXISTS `attach` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pathfile` varchar(255) DEFAULT NULL,
  `thumbnail` varchar(255) DEFAULT NULL,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `ip` char(15) NOT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `attach`
--


-- --------------------------------------------------------

--
-- Table structure for table `blog`
--

CREATE TABLE IF NOT EXISTS `blog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '1',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` varchar(100) DEFAULT NULL,
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `blog`
--


-- --------------------------------------------------------

--
-- Table structure for table `blogcategories`
--

CREATE TABLE IF NOT EXISTS `blogcategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `blogcategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `blogcomments`
--

CREATE TABLE IF NOT EXISTS `blogcomments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `blogid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `blogid` (`blogid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `blogcomments`
--


-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `showmenu` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showfooter` smallint(1) unsigned NOT NULL DEFAULT '0',
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `catparent2` int(11) unsigned NOT NULL DEFAULT '0',
  `subexist` smallint(1) unsigned NOT NULL DEFAULT '0',
  `subsubexist` smallint(1) unsigned NOT NULL DEFAULT '0',
  `pageid` int(11) unsigned NOT NULL DEFAULT '0',
  `permission` varchar(25) NOT NULL DEFAULT '0',
  `activeplugin` smallint(1) unsigned NOT NULL DEFAULT '1',
  `pluginid` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;


-- --------------------------------------------------------

--
-- Table structure for table `contactform`
--

CREATE TABLE IF NOT EXISTS `contactform` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `thankyou` mediumtext,
  `email` varchar(255) DEFAULT NULL,
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;


-- --------------------------------------------------------

--
-- Table structure for table `contactoptions`
--

CREATE TABLE IF NOT EXISTS `contactoptions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `formid` int(11) unsigned NOT NULL DEFAULT '0',
  `name` varchar(255) DEFAULT NULL,
  `typeid` smallint(2) unsigned NOT NULL DEFAULT '1',
  `options` mediumtext,
  `mandatory` smallint(1) NOT NULL DEFAULT '0',
  `forder` int(11) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;


-- --------------------------------------------------------

--
-- Table structure for table `event`
--

CREATE TABLE IF NOT EXISTS `event` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `datefrom` int(10) unsigned NOT NULL DEFAULT '0',
  `dateto` int(10) unsigned NOT NULL DEFAULT '0',
  `colorpicker` varchar(7) DEFAULT NULL,
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `joinevent` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` varchar(100) DEFAULT NULL,
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `daterange` (`dateto`,`datefrom`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `event`
--


-- --------------------------------------------------------

--
-- Table structure for table `eventcategories`
--

CREATE TABLE IF NOT EXISTS `eventcategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `eventcategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `eventcomments`
--

CREATE TABLE IF NOT EXISTS `eventcomments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eventid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text NOT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `eventid` (`eventid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `eventcomments`
--


-- --------------------------------------------------------

--
-- Table structure for table `eventjoin`
--

CREATE TABLE IF NOT EXISTS `eventjoin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `eventid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `jointype` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `eventid` (`eventid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `eventjoin`
--


-- --------------------------------------------------------

--
-- Table structure for table `forum`
--

CREATE TABLE IF NOT EXISTS `forum` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `description` mediumtext,
  `forumimg` varchar(255) DEFAULT NULL,
  `lastuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `lastuser` varchar(100) DEFAULT NULL,
  `lastthreadid` int(11) unsigned NOT NULL DEFAULT '0',
  `lastthread` varchar(255) DEFAULT NULL,
  `lastthreadtime` int(10) unsigned NOT NULL DEFAULT '0',
  `totalthreads` int(11) unsigned NOT NULL DEFAULT '0',
  `totalposts` int(11) unsigned NOT NULL DEFAULT '0',
  `permission` mediumtext,
  `writeperm` mediumtext,
  `forumorder` int(11) unsigned NOT NULL,
  `forumparent` int(11) unsigned NOT NULL DEFAULT '0',
  `category` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `forumorder` (`forumorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forum`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumcategories`
--

CREATE TABLE IF NOT EXISTS `forumcategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `writeperm` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumcategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumposthash`
--

CREATE TABLE IF NOT EXISTS `forumposthash` (
  `userid` int(10) unsigned NOT NULL DEFAULT '0',
  `forumid` int(10) unsigned NOT NULL DEFAULT '0',
  `threadid` int(10) unsigned NOT NULL DEFAULT '0',
  `dupehash` char(32) NOT NULL DEFAULT '',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  KEY `userid` (`userid`,`dupehash`),
  KEY `dateline` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `forumposthash`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumposts`
--

CREATE TABLE IF NOT EXISTS `forumposts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forumid` int(11) unsigned NOT NULL DEFAULT '0',
  `threadid` int(11) unsigned NOT NULL DEFAULT '0',
  `startthread` smallint(1) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  `content` mediumtext,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `forumid` (`forumid`),
  KEY `threadid` (`threadid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumposts`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumread`
--

CREATE TABLE IF NOT EXISTS `forumread` (
  `utid` int(11) unsigned DEFAULT NULL,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `threadid` int(11) unsigned NOT NULL DEFAULT '0',
  `readtime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  UNIQUE KEY `utid` (`utid`),
  KEY `userid` (`userid`),
  KEY `threadid` (`threadid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `forumread`
--


-- --------------------------------------------------------

--
-- Table structure for table `forumthread`
--

CREATE TABLE IF NOT EXISTS `forumthread` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `forumid` int(11) unsigned NOT NULL DEFAULT '0',
  `sticky` smallint(1) unsigned NOT NULL DEFAULT '0',
  `locked` smallint(1) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `lastuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `lastuser` varchar(100) DEFAULT NULL,
  `lasttime` int(10) unsigned NOT NULL DEFAULT '0',
  `posts` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `forumid` (`forumid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `forumthread`
--


-- --------------------------------------------------------

--
-- Table structure for table `gallery`
--

CREATE TABLE IF NOT EXISTS `gallery` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `paththumb` varchar(255) DEFAULT NULL,
  `pathbig` varchar(255) DEFAULT NULL,
  `original` varchar(255) DEFAULT NULL,
  `imagename` varchar(255) DEFAULT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `picorder` int(11) unsigned NOT NULL DEFAULT '1',
  `time` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `gallery`
--


-- --------------------------------------------------------

--
-- Table structure for table `gallerycategories`
--

CREATE TABLE IF NOT EXISTS `gallerycategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `content` mediumtext,
  `catimg` varchar(255) DEFAULT NULL,
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `gallerycategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `gallerycomments`
--

CREATE TABLE IF NOT EXISTS `gallerycomments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photoid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text NOT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleryid` (`photoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

--
-- Dumping data for table `gallerycomments`
--


-- --------------------------------------------------------

--
-- Table structure for table `hvm`
--

CREATE TABLE IF NOT EXISTS `hvm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `question` varchar(255) DEFAULT NULL,
  `answer` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `hvm`
--


-- --------------------------------------------------------

--
-- Table structure for table `loginlog`
--

CREATE TABLE IF NOT EXISTS `loginlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `fromwhere` varchar(255) DEFAULT NULL,
  `ip` char(15) NOT NULL,
  `usragent` varchar(255) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `access` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `loginlog`
--


-- --------------------------------------------------------

--
-- Table structure for table `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `newsorder` int(11) unsigned NOT NULL,
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` int(11) unsigned NOT NULL DEFAULT '0',
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `newsorder` (`newsorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `news`
--


-- --------------------------------------------------------

--
-- Table structure for table `newsletter`
--

CREATE TABLE IF NOT EXISTS `newsletter` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `sent` smallint(1) NOT NULL DEFAULT '0',
  `senttime` int(10) unsigned NOT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `newsletter`
--


-- --------------------------------------------------------

--
-- Table structure for table `newslettergroup`
--

CREATE TABLE IF NOT EXISTS `newslettergroup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;


-- --------------------------------------------------------

--
-- Table structure for table `newsletteruser`
--

CREATE TABLE IF NOT EXISTS `newsletteruser` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usergroupid` int(11) unsigned NOT NULL DEFAULT '1',
  `email` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `delcode` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `groupid` (`usergroupid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `newsletteruser`
--


-- --------------------------------------------------------

--
-- Table structure for table `onlineuser`
--

CREATE TABLE IF NOT EXISTS `onlineuser` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ip` int(11) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `dt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ip` (`ip`),
  KEY `username` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Table structure for table `pages`
--

CREATE TABLE `pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '1',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showregister` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showlogin` smallint(1) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerycat` varchar(100) DEFAULT NULL,
  `photodisplay` int(11) unsigned NOT NULL DEFAULT '0',
  `newsshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `blogcat` varchar(100) DEFAULT NULL,
  `blogshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `eventcat` varchar(100) DEFAULT NULL,
  `eventshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `videocat` varchar(100) DEFAULT NULL,
  `videoshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `forums` varchar(100) DEFAULT NULL,
  `forumshow` smallint(2) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `pagesgrid`
--

CREATE TABLE `pagesgrid` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pageid` int(11) unsigned NOT NULL DEFAULT '0',
  `pluginid` int(11) unsigned NOT NULL DEFAULT '0',
  `orderid` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `pageid` (`pageid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;


-- --------------------------------------------------------

--
-- Table structure for table `pluginhooks`
--

CREATE TABLE IF NOT EXISTS `pluginhooks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hook_name` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `phpcode` text,
  `product` varchar(25) DEFAULT NULL,
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `exorder` smallint(5) unsigned NOT NULL DEFAULT '4',
  `pluginid` int(11) unsigned NOT NULL,
  `time` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=28 ;


-- --------------------------------------------------------

--
-- Table structure for table `plugins`
--

CREATE TABLE IF NOT EXISTS `plugins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` longtext,
  `active` smallint(1) unsigned NOT NULL DEFAULT '0',
  `access` mediumtext,
  `pluginorder` int(11) unsigned NOT NULL DEFAULT '1',
  `pluginpath` varchar(255) DEFAULT NULL,
  `phpcode` text,
  `phpcodeadmin` text,
  `sidenavhtml` varchar(255) DEFAULT NULL,
  `usergroup` varchar(100) DEFAULT NULL,
  `uninstallfile` varchar(255) DEFAULT NULL,
  `pluginversion` varchar(5) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Dumping data for table `plugins`
--

-- --------------------------------------------------------

--
-- Table structure for table `pm`
--

CREATE TABLE IF NOT EXISTS `pm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `content` mediumtext,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pm`
--


-- --------------------------------------------------------

--
-- Table structure for table `pmreceipt`
--

CREATE TABLE IF NOT EXISTS `pmreceipt` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pmid` int(11) unsigned NOT NULL DEFAULT '0',
  `fromuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `fromusername` varchar(100) DEFAULT NULL,
  `touserid` int(11) unsigned NOT NULL DEFAULT '0',
  `tousername` varchar(100) DEFAULT NULL,
  `readtime` int(10) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `pmid` (`pmid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pmreceipt`
--


-- --------------------------------------------------------

--
-- Table structure for table `search`
--

CREATE TABLE IF NOT EXISTS `search` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `searchterm` varchar(100) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `count` int(11) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `search`
--


-- --------------------------------------------------------

--
-- Table structure for table `setting`
--

CREATE TABLE IF NOT EXISTS `setting` (
  `varname` varchar(100) NOT NULL DEFAULT '',
  `groupname` varchar(50) DEFAULT NULL,
  `value` mediumtext,
  `defaultvalue` mediumtext,
  `optioncode` mediumtext,
  `datatype` enum('free','number','boolean','bitfield','username','integer','posint') NOT NULL DEFAULT 'free',
  `product` varchar(25) DEFAULT '',
  PRIMARY KEY (`varname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Table structure for table `tagcloud`
--

CREATE TABLE IF NOT EXISTS `tagcloud` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(100) DEFAULT NULL,
  `count` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `tag` (`tag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tagcloud`
--


-- --------------------------------------------------------

--
-- Table structure for table `tags`
--

CREATE TABLE IF NOT EXISTS `tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(100) DEFAULT NULL,
  `itemid` int(11) unsigned NOT NULL DEFAULT '0',
  `pluginid` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `module` (`pluginid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tags`
--


-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usergroupid` int(11) unsigned NOT NULL DEFAULT '2',
  `username` varchar(100) DEFAULT NULL,
  `password` char(64) NOT NULL,
  `idhash` varchar(32) DEFAULT NULL,
  `session` varchar(32) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `weburl` varchar(100) DEFAULT NULL,
  `picture` varchar(255) NOT NULL DEFAULT '/standard_s.png',
  `localfile` smallint(1) unsigned NOT NULL DEFAULT '1',
  `forumpost` int(11) unsigned NOT NULL DEFAULT '0',
  `blogpost` int(11) unsigned NOT NULL DEFAULT '0',
  `eventpost` int(11) unsigned NOT NULL DEFAULT '0',
  `gallerypost` int(11) unsigned NOT NULL DEFAULT '0',
  `videopost` int(11) unsigned NOT NULL DEFAULT '0',
  `timezone` int(10) NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `lastactivity` int(10) NOT NULL DEFAULT '0',
  `newpm` smallint(1) unsigned NOT NULL DEFAULT '0',
  `message` smallint(1) unsigned NOT NULL DEFAULT '0',
  `messageapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `messageinform` smallint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `access` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forgot` int(11) unsigned NOT NULL DEFAULT '0',
  `activatenr` varchar(20) DEFAULT NULL,
  `deletenr` varchar(20) DEFAULT NULL,
  `deleteproved` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `usergroupid` (`usergroupid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `usercomment`
--

CREATE TABLE IF NOT EXISTS `usercomment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `fromuserid` int(11) unsigned NOT NULL DEFAULT '0',
  `fromusername` varchar(100) DEFAULT NULL,
  `message` text,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `usercomment`
--


-- --------------------------------------------------------

--
-- Table structure for table `usergroup`
--

CREATE TABLE IF NOT EXISTS `usergroup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `description` mediumtext,
  `blog` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blogpost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blogpostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blogpostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blograte` smallint(1) unsigned NOT NULL DEFAULT '0',
  `blogmoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forum` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumpost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumpostedit` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumpostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumpostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forumrate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `forummoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `event` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventjoin` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventpost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventpostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventpostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `eventmoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `newsletter` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallery` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerypost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerypostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerypostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `galleryrate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `gallerymoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `video` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videopost` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videopostdelete` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videopostapprove` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videorate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `videomoderate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `pm` smallint(1) unsigned NOT NULL DEFAULT '0',
  `pmmax` smallint(2) unsigned NOT NULL DEFAULT '2',
  `pmtotal` mediumint(3) NOT NULL DEFAULT '20',
  `attachal` smallint(1) unsigned NOT NULL DEFAULT '0',
  `attachap` smallint(1) unsigned NOT NULL DEFAULT '0',
  `attachext` varchar(255) NOT NULL DEFAULT 'jpg,jpeg,png',
  `attachext1` varchar(255) NOT NULL DEFAULT 'zip,rar,pdf',
  `filebyte` int(11) unsigned NOT NULL DEFAULT '102400',
  `filepost` smallint(2) unsigned NOT NULL DEFAULT '5',
  `imagetw` int(11) unsigned NOT NULL DEFAULT '100',
  `imageth` int(11) unsigned NOT NULL DEFAULT '75',
  `imagew` int(11) unsigned NOT NULL DEFAULT '600',
  `imageh` int(11) unsigned NOT NULL DEFAULT '450',
  `tags` smallint(1) unsigned NOT NULL DEFAULT '0',
  `advsearch` smallint(1) unsigned NOT NULL DEFAULT '0',
  `ads` smallint(1) unsigned NOT NULL DEFAULT '0',
  `memberlist` smallint(1) unsigned NOT NULL DEFAULT '0',
  `usrdel` smallint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;


-- --------------------------------------------------------

--
-- Table structure for table `usertext`
--

CREATE TABLE IF NOT EXISTS `usertext` (
  `userid` int(11) unsigned NOT NULL DEFAULT '0',
  `content` text,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `usertext`
--


-- --------------------------------------------------------

--
-- Table structure for table `video`
--

CREATE TABLE IF NOT EXISTS `video` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `keywords` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `content` text,
  `previmg` varchar(255) DEFAULT NULL,
  `videopath` varchar(255) DEFAULT NULL,
  `imgpath` varchar(255) DEFAULT NULL,
  `externpath` varchar(255) DEFAULT NULL,
  `externpathm` varchar(255) DEFAULT NULL,
  `videow` smallint(4) unsigned NOT NULL DEFAULT '525',
  `videoh` smallint(4) unsigned NOT NULL DEFAULT '295',
  `showtitle` smallint(1) unsigned NOT NULL DEFAULT '1',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `showcontact` int(11) unsigned NOT NULL DEFAULT '0',
  `showdate` smallint(1) unsigned NOT NULL DEFAULT '0',
  `comments` smallint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `votes` int(11) unsigned NOT NULL DEFAULT '0',
  `votetotal` int(11) unsigned NOT NULL DEFAULT '0',
  `votesession` varchar(32) DEFAULT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `video`
--


-- --------------------------------------------------------

--
-- Table structure for table `videocategories`
--

CREATE TABLE IF NOT EXISTS `videocategories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `varname` varchar(100) DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  `description` mediumtext,
  `permission` mediumtext,
  `catorder` int(11) unsigned NOT NULL,
  `catparent` int(11) unsigned NOT NULL DEFAULT '0',
  `active` smallint(1) unsigned NOT NULL DEFAULT '1',
  `count` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catorder` (`catorder`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `videocategories`
--


-- --------------------------------------------------------

--
-- Table structure for table `videocomments`
--

CREATE TABLE IF NOT EXISTS `videocomments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `videoid` int(11) unsigned NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(100) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `message` text NOT NULL,
  `approve` smallint(1) unsigned NOT NULL DEFAULT '0',
  `trash` smallint(1) unsigned NOT NULL DEFAULT '0',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `session` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleryid` (`videoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;