<?php

/*======================================================================*\
|| #################################################################### ||
|| # JAKCMS PRO 2.2.5                                                 # ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2011 JAKCMS All Rights Reserved.                       # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- JAKCMS IS NOT FREE SOFTWARE ----------------    # ||
|| # http://www.jakcms.com | http://www.jakcms.com/license-agreement  # ||
|| #################################################################### ||
\*======================================================================*/

if (!file_exists('../db.php')) {
    die('[manual_de_install.php] db.php not exist');
}
require_once '../db.php';

/* NO CHANGES FROM HERE */

// Get the jak DB class
if (JAK_MYSQL_CONNECTION == 1) {
	require_once '../class/class.db.php';
} else {
	require_once '../class/class.dbn.php';
}

function smartsql($value)
{
	global $jakdb;
    if (!is_int($value)) {
        $value = $jakdb->real_escape_string($value);
    }
    return $value;
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<title>Manuelle Installation - JAKCMS PRO 2.2.5</title>
	<meta http-equiv="content-type" content="text/html; utf-8" />
	<meta name="author" content="JAKCMS (http://www.jakcms.com)" />
	<link rel="shortcut icon" href="../favicon.ico" type="image/x-icon" />
	<link rel="stylesheet" href="../admin/css/screen.css" type="text/css" media="screen" />
</head>
<style type="text/css">
#installation {width:800px;margin:50px auto 0em;}
</style>
<body>

<div id="container">
<div class="grey-header"></div><!-- #header -->
<!-- JAKCMS IS NOT FREE SOFTWARE :: http://www.jakcms.com | http://www.jakcms.com/license-agreement -->
<div id="installation">
<p><h2>Manuelle Installation - JAKCMS PRO 2.2.5</h2>
<?php if (isset($_POST['minstall'])) {
	
// MySQL/i connection
if (DB_USER && DB_PASS) {
$jakdb = new jak_mysql(DB_HOST, DB_USER, DB_PASS, DB_NAME, DB_PORT);
$jakdb->set_charset("utf8");
}

if (DB_PREFIX != '') {
$jakdb->query('RENAME TABLE ads TO '.DB_PREFIX.'ads, attach TO '.DB_PREFIX.'attach, blog TO '.DB_PREFIX.'blog, blogcategories TO '.DB_PREFIX.'blogcategories, blogcomments TO '.DB_PREFIX.'blogcomments, contactform TO '.DB_PREFIX.'contactform, contactoptions TO '.DB_PREFIX.'contactoptions, categories TO '.DB_PREFIX.'categories, event TO '.DB_PREFIX.'event, eventcategories TO '.DB_PREFIX.'eventcategories, eventcomments TO '.DB_PREFIX.'eventcomments, eventjoin TO '.DB_PREFIX.'eventjoin, forum TO '.DB_PREFIX.'forum, forumcategories TO '.DB_PREFIX.'forumcategories, forumposts TO '.DB_PREFIX.'forumposts, forumposthash TO '.DB_PREFIX.'forumposthash, forumread TO '.DB_PREFIX.'forumread, forumthread TO '.DB_PREFIX.'forumthread, gallery TO '.DB_PREFIX.'gallery, gallerycategories TO '.DB_PREFIX.'gallerycategories, gallerycomments TO '.DB_PREFIX.'gallerycomments, hvm TO '.DB_PREFIX.'hvm, loginlog TO '.DB_PREFIX.'loginlog, news TO '.DB_PREFIX.'news, newsletter TO '.DB_PREFIX.'newsletter, newslettergroup TO '.DB_PREFIX.'newslettergroup, newsletteruser TO '.DB_PREFIX.'newsletteruser, onlineuser TO '.DB_PREFIX.'onlineuser, pages TO '.DB_PREFIX.'pages,pagesgrid TO '.DB_PREFIX.'pagesgrid, pm TO '.DB_PREFIX.'pm, pmreceipt TO '.DB_PREFIX.'pmreceipt, search TO '.DB_PREFIX.'search, setting TO '.DB_PREFIX.'setting, tagcloud TO '.DB_PREFIX.'tagcloud, tags TO '.DB_PREFIX.'tags, plugins TO '.DB_PREFIX.'plugins, pluginhooks TO '.DB_PREFIX.'pluginhooks, user TO '.DB_PREFIX.'user, usercomment TO '.DB_PREFIX.'usercomment, usergroup TO '.DB_PREFIX.'usergroup, usertext TO '.DB_PREFIX.'usertext, video TO '.DB_PREFIX.'video, videocategories TO '.DB_PREFIX.'videocategories, videocomments TO '.DB_PREFIX.'videocomments');
}
	
// The new password encrypt with hash_hmac
$passcrypt = hash_hmac('sha256', $_POST['pass'], DB_PASS_HASH);
 
$jakdb->query('INSERT INTO '.DB_PREFIX.'user SET
	username = "'.smartsql($_POST['username']).'",
	usergroupid = 3,
	password = "'.$passcrypt.'",
	email = "'.smartsql($_POST['email']).'",
	name = "'.smartsql($_POST['name']).'",
	time = '.time().',
	access = 1');
	
// Finally close all db connections
$jakdb->jak_close();
    
?>

<div class="status-ok">Installation erfolgreich abgeschlossen, bitte l&ouml;schen sie das <strong>install</strong> Verzeichnis. Danach k&ouml;nnen sie sich in der <a href="../admin/">Administrations</a> Konsole anmelden.</div>

<?php
    
} else {

if (file_exists('../config.php')) {

?>

<h2>Haben sie die Datenbank und Tabellen via <strong>phpMyAdmin</strong> erstellt (database/mysql_manual_insert.sql)?</h2>
Haben sie alle Dateien auf ihren Server hochgeladen?<br /><br />
Gut, dann k&ouml;nnen sie nun die Installation auf 2.2.5 starten.

<div class="border">
<form name="user" method="post" action="manual_de_install.php" enctype="multipart/form-data">
<table>
<tr>
	<td>Name <span class="complete">*</span></td>
	<td><input type="text" value="" size="30" maxlength="30" name="name" title="Name" /></td>
</tr>
<tr>
	<td>Benutzername <span class="complete">*</span></td>
	<td><input type="text" value="" size="30" maxlength="30" name="username" title="Username" /></td>
</tr>
<tr>
	<td>Passwort <span class="complete">*</span></td>
	<td><input type="text" value="" size="30" maxlength="30" name="pass" title="Password" /></td>
</tr>
<tr>
	<td>Email <span class="complete">*</span></td>
	<td><input type="text" value="" size="30" maxlength="30" name="email" title="Email" /></td>
</tr>
</table>
</div>
<input style="float:right;" type="submit" value="Senden" name="minstall" />
</form>

<?php } else { ?>
<input type="button" value="Refresh page" onclick="history.go(0)" />
<?php } } ?>

</div>

<div class="footer">Copyright 2008 - 2011 by <a href="http://www.jakcms.com">JAKCMS</a> | <a class="green" href="http://www.jakcms.com/forum/">Support and Contact</a></div><!-- #footer -->
</div><!-- #container -->
</body>
</html>