<?php

/*======================================================================*\
|| #################################################################### ||
|| # JAKCMS PRO 2.2.5                                                 # ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2011 JAKCMS All Rights Reserved.                       # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- JAKCMS IS NOT FREE SOFTWARE ----------------    # ||
|| # http://www.jakcms.com | http://www.jakcms.com/license-agreement  # ||
|| #################################################################### ||
\*======================================================================*/

// Check if the file is accessed only via index.php if not stop the script from running
if(!defined('JAK_PREVENT_ACCESS')){
echo 'You cannot access this file directly.';
die;
}

$errors = array();
$jaktable = DB_PREFIX.'user';
$jaktable1 = DB_PREFIX.'categories'.JAK_CMSADMINLANG;
$jakfield = 'username';
$jakfield1 = 'email';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$defaults = $_POST;
	
	if ($defaults['email'] == '' || !filter_var($defaults['email'], FILTER_VALIDATE_EMAIL)) {
	    $errors['e'] = $tl['error']['e1'].'<br />';
	}
	
	if (JAK_USEREMAILDOUBLE) {
		if (jak_field_not_exist(filter_var($defaults['email'], FILTER_SANITIZE_EMAIL),$jaktable,$jakfield1)) {
	    	$errors['e'] = $tl['error']['e38'].'<br />';
		}
	}
	
	if (empty($defaults['username'])) {
	    $errors['e1'] = $tl['error']['e14'].'<br />';
	}
	
	if (!preg_match('/^([a-z]||[A-Z]||[-_]||[0-9])+$/', $defaults['username'])) {
		$errors['e1'] = $tl['error']['e15'].'<br />';
	}
	
	if (jak_field_not_exist(strtolower($defaults['username']),$jaktable,$jakfield)) {
	    $errors['e1'] = $tl['error']['e16'].'<br />';
	}
	
	if (strlen($defaults['username']) <= 3) {
	    $errors['e1'] = $tl['error']['e30'].'<br />';
	}
	 
	if (strlen($defaults['password']) <= '5') {
		$errors['e2'] = $tl['error']['e18'].'<br />';
	} else {
		$updatepass = '1';
	}
	
	if (JAK_HVM == 1) {
	
	$newspamfield = $defaults['human'.$defaults["humanhidden"].''];
	
		if ($newspamfield == '' || !jak_validate_spam($newspamfield, $defaults['humanid'])) {
	    $errors['e3'] = $tl['error']['e10'].'<br />';
	}
	
	} elseif (JAK_HVM == 2) {
	
		if ($defaults['human'] == '' || md5($defaults['human']) != $_SESSION['JAK_HUMAN_IMAGE']) {
	    $errors['e3'] = $tl['error']['e10'].'<br />';
	}
	
	} elseif (JAK_HVM == 3) {
	
		$resp = recaptcha_check_answer (JAK_RCPRIVATE,$_SERVER["REMOTE_ADDR"],$defaults["recaptcha_challenge_field"],$defaults["recaptcha_response_field"]);
	
	if (!$resp->is_valid) {
	  	$errors['e3'] = $tl['error']['e10'].'<br />';
	}
	
	}
	
	if (count($errors) == 0) {
	    
	    if ($updatepass) {
	    
	    	// The new password encrypt with hash_hmac
	    	$passcrypt = hash_hmac('sha256', $defaults['password'], DB_PASS_HASH);
	    	
	    	$sqlupdatepass = ', password = "'.$passcrypt.'"';
	    }
	    
	    $fwhen = time();
	    
	    $safeusername = strip_tags($defaults['username']);
	    $safename = strip_tags($defaults['name']);
	    $safeemail = filter_var($defaults['email'], FILTER_SANITIZE_EMAIL);
	    
	    if (JAK_USERAPPROVE == 0 || JAK_USERLINK) {
	    	$getaccess = 0;
	    	$getuniquecode = rand(1,999).time();
	    } else {
	    	$getaccess = 1;
	    	$getuniquecode = 0;
	    }
	
	$sql = 'INSERT INTO '.$jaktable.' SET username = "'.smartsql($safeusername).'", name = "'.smartsql($safename).'", email = "'.smartsql($safeemail).'", usergroupid = '.JAK_STANDARDGROUP.''.$sqlupdatepass.', access = "'.smartsql($getaccess).'", activatenr = "'.smartsql($getuniquecode).'", time = "'.smartsql($fwhen).'", timezone = '.JAK_TIMEZONE.'';
	$result = $jakdb->query($sql);
	
	if (!$result) {
	    	jak_redirect(BASE_URL.JAK_PARSE_ERROR);
	        exit;
		} else {
		
		// Create Directory in the user folder
		$sql1 = 'SELECT id FROM '.$jaktable.' WHERE time = "'.smartsql($fwhen).'" AND username = "'.smartsql($defaults['username']).'" LIMIT 1';
		$result1 = $jakdb->query($sql1);
		$row1 = $result1->fetch_assoc();
		
		$newuserpath = JAK_USERPATH.'/'.$row1['id'];
		
		if (!is_dir($newuserpath)) {
		                @mkdir($newuserpath, 0777);
		                @copy(JAK_USERPATH."/index.html", $newuserpath."/index.html");
		}
		
		if (JAK_USERLINK) {
		
			$confirmlink = '<br />'.$tl['login']['l13'].'<a href="'.BASE_URL.JAK_rewrite::jakParseurl('ual', $row1['id'], $getuniquecode, '', '').'">'.BASE_URL.JAK_rewrite::jakParseurl('ual', $row1['id'], $getuniquecode, '', '').'</a>';
		
			$mail = new PHPMailer(); // defaults to using php "mail()"
			$linkmessage = JAK_WELCOMEUSER.$confirmlink;
			$body = str_ireplace("[\]",'',$linkmessage);
			$mail->SetFrom(JAK_EMAIL, JAK_TITLE);
			$address = $defaults['email'];
			$mail->AddAddress($address, utf8_decode($safename));
			$mail->Subject = JAK_TITLE.' - '.$tl['login']['l12'];
			$mail->MsgHTML($body);
			$mail->Send(); // Send email without any warnings
		
		} else {
		
			$mail = new PHPMailer(); // defaults to using php "mail()"
			$body = str_ireplace("[\]",'',JAK_WELCOMEUSER);
			$mail->SetFrom(JAK_EMAIL, JAK_TITLE);
			$address = $defaults['email'];
			$mail->AddAddress($address, utf8_decode($safename));
			$mail->Subject = JAK_TITLE.' - '.$tl['login']['l12'];
			$mail->MsgHTML($body);
			$mail->Send(); // Send email without any warnings
			
		}
		
			// Get the database stuff
			$sql = 'SELECT varname FROM '.$jaktable1.' WHERE id = "'.JAK_WELCOMEPAGE.'"';
			$result = $jakdb->query($sql);
			$row = $result->fetch_assoc();

	        jak_redirect(BASE_URL.JAK_rewrite::jakParseurl($row['varname'], '', '', '', ''));
	        exit;
	    }
	 } else {
	 
	 	// Output the errors
	    $c_tpl->assign('errorsr', $errors);

	    }
	
} else {
	jak_redirect(BASE_URL);
}
?>